com.sun.grid.jgdi.configuration

## Class ClusterQueueImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.ClusterQueueImpl

- All Implemented Interfaces:
    ClusterQueue, GEObject, java.io.Serializable, java.lang.Cloneable

      public class ClusterQueueImpl
      extends GEObjectImpl
      implements ClusterQueue

  Java representation of the cull object CQ_Type defined in sge_all_listsL.template

  Warning: The ClusterQueueImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterQueueImpl()` Create a new instance of ClusterQueueImpl.
    `ClusterQueueImpl(boolean initWithDefaultValues)` Create a new instanceof
    `ClusterQueueImpl(java.lang.String name)` Create a new instance of ClusterQueueImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAcl(java.lang.String hostname, UserSet acl)` Add a acl attribute to a hostname.
    `void` | `addCkpt(java.lang.String hostname, java.lang.String checkpoint)` Add a checkpoint attribute to a hostname.
    `void` | `addConsumableConfig(java.lang.String hostname, ComplexEntry consumable)` Add a consumable attribute to a hostname.
    `void` | `addDefaultAcl(UserSet acl)` Add `acl` attribute to the default `hostname` (@/).
    `void` | `addDefaultCkpt(java.lang.String checkpoint)` Add `checkpoint` attribute to the default `hostname` (@/).
    `void` | `addDefaultConsumableConfig(ComplexEntry consumable)` Add `consumable` attribute to the default `hostname` (@/).
    `void` | `addDefaultLoadThresholds(ComplexEntry loadThreshold)` Add `loadThreshold` attribute to the default `hostname` (@/).
    `void` | `addDefaultOwner(UserSet owner)` Add `owner` attribute to the default `hostname` (@/).
    `void` | `addDefaultPe(java.lang.String pe)` Add `pe` attribute to the default `hostname` (@/).
    `void` | `addDefaultProjects(Project project)` Add `project` attribute to the default `hostname` (@/).
    `void` | `addDefaultSubordinate(Subordinate subordinate)` Add `subordinate` attribute to the default `hostname` (@/).
    `void` | `addDefaultSuspendThresholds(ComplexEntry suspendThreshold)` Add `suspendThreshold` attribute to the default `hostname` (@/).
    `void` | `addDefaultXacl(UserSet acl)` Add `acl` attribute to the default `hostname` (@/).
    `void` | `addDefaultXprojects(Project project)` Add `project` attribute to the default `hostname` (@/).
    `void` | `addEmptyAcl(java.lang.String hostname)` Initialize `acl` attribute for a `hostname` with an empty list.
    `void` | `addEmptyCkpt(java.lang.String hostname)` Initialize `checkpoint` attribute for a `hostname` with an empty list.
    `void` | `addEmptyConsumableConfig(java.lang.String hostname)` Initialize `consumable` attribute for a `hostname` with an empty list.
    `void` | `addEmptyLoadThresholds(java.lang.String hostname)` Initialize `loadThreshold` attribute for a `hostname` with an empty list.
    `void` | `addEmptyOwner(java.lang.String hostname)` Initialize `owner` attribute for a `hostname` with an empty list.
    `void` | `addEmptyPe(java.lang.String hostname)` Initialize `pe` attribute for a `hostname` with an empty list.
    `void` | `addEmptyProjects(java.lang.String hostname)` Initialize `project` attribute for a `hostname` with an empty list.
    `void` | `addEmptySubordinate(java.lang.String hostname)` Initialize `subordinate` attribute for a `hostname` with an empty list.
    `void` | `addEmptySuspendThresholds(java.lang.String hostname)` Initialize `suspendThreshold` attribute for a `hostname` with an empty list.
    `void` | `addEmptyXacl(java.lang.String hostname)` Initialize `acl` attribute for a `hostname` with an empty list.
    `void` | `addEmptyXprojects(java.lang.String hostname)` Initialize `project` attribute for a `hostname` with an empty list.
    `void` | `addHostlist(java.lang.String ahostlist)` Add a java.lang.String attribute.
    `void` | `addLoadThresholds(java.lang.String hostname, ComplexEntry loadThreshold)` Add a loadThreshold attribute to a hostname.
    `void` | `addOwner(java.lang.String hostname, UserSet owner)` Add a owner attribute to a hostname.
    `void` | `addPe(java.lang.String hostname, java.lang.String pe)` Add a pe attribute to a hostname.
    `void` | `addProjects(java.lang.String hostname, Project project)` Add a project attribute to a hostname.
    `void` | `addQinstances(QueueInstance aqinstances)` Add a com.sun.grid.jgdi.configuration.QueueInstance attribute.
    `void` | `addSubordinate(java.lang.String hostname, Subordinate subordinate)` Add a subordinate attribute to a hostname.
    `void` | `addSuspendThresholds(java.lang.String hostname, ComplexEntry suspendThreshold)` Add a suspendThreshold attribute to a hostname.
    `void` | `addXacl(java.lang.String hostname, UserSet acl)` Add a acl attribute to a hostname.
    `void` | `addXprojects(java.lang.String hostname, Project project)` Add a project attribute to a hostname.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `UserSet` | `getAcl(java.lang.String hostname, int index)` Get the value of a hostname at an index.
    `int` | `getAclCount(java.lang.String hostname)` Get the number of values for a hostname
    `java.util.Set<java.lang.String>` | `getAclKeys()` Get a unmodifiable set of stored acl attribute keys.
    `java.util.List` | `getAclList(java.lang.String hostname)` Get a unmodifiable list of acl attributes
    `java.lang.String` | `getCalendar(java.lang.String hostname)` Get the calendar attribute for a hostname.
    `int` | `getCalendarCount()` Get the number of hostnames which have the attribute calendar set.
    `java.util.Set<java.lang.String>` | `getCalendarKeys()` Get the set of hostnames which have the attribute calendar set.
    `java.lang.String` | `getCkpt(java.lang.String hostname, int index)` Get the value of a hostname at an index.
    `int` | `getCkptCount(java.lang.String hostname)` Get the number of values for a hostname
    `java.util.Set<java.lang.String>` | `getCkptKeys()` Get a unmodifiable set of stored ckpt attribute keys.
    `java.util.List` | `getCkptList(java.lang.String hostname)` Get a unmodifiable list of ckpt attributes
    `ComplexEntry` | `getConsumableConfig(java.lang.String hostname, int index)` Get the value of a hostname at an index.
    `int` | `getConsumableConfigCount(java.lang.String hostname)` Get the number of values for a hostname
    `java.util.Set<java.lang.String>` | `getConsumableConfigKeys()` Get a unmodifiable set of stored consumableConfig attribute keys.
    `java.util.List` | `getConsumableConfigList(java.lang.String hostname)` Get a unmodifiable list of consumableConfig attributes
    `UserSet` | `getDefaultAcl(int index)` Get the default value of the attribute acl.
    `int` | `getDefaultAclCount()` Get the number of values for the default `hostname` (@/).
    `java.lang.String` | `getDefaultCalendar()` Get the default value of the attribute calendar.
    `java.lang.String` | `getDefaultCkpt(int index)` Get the default value of the attribute ckpt.
    `int` | `getDefaultCkptCount()` Get the number of values for the default `hostname` (@/).
    `ComplexEntry` | `getDefaultConsumableConfig(int index)` Get the default value of the attribute consumableConfig.
    `int` | `getDefaultConsumableConfigCount()` Get the number of values for the default `hostname` (@/).
    `java.lang.String` | `getDefaultEpilog()` Get the default value of the attribute epilog.
    `java.lang.String` | `getDefaultHCore()` Get the default value of the attribute hCore.
    `java.lang.String` | `getDefaultHCpu()` Get the default value of the attribute hCpu.
    `java.lang.String` | `getDefaultHData()` Get the default value of the attribute hData.
    `java.lang.String` | `getDefaultHFsize()` Get the default value of the attribute hFsize.
    `java.lang.String` | `getDefaultHRss()` Get the default value of the attribute hRss.
    `java.lang.String` | `getDefaultHRt()` Get the default value of the attribute hRt.
    `java.lang.String` | `getDefaultHStack()` Get the default value of the attribute hStack.
    `java.lang.String` | `getDefaultHVmem()` Get the default value of the attribute hVmem.
    `java.lang.String` | `getDefaultInitialState()` Get the default value of the attribute initialState.
    `int` | `getDefaultJobSlots()` Get the default value of the attribute jobSlots.
    `ComplexEntry` | `getDefaultLoadThresholds(int index)` Get the default value of the attribute loadThresholds.
    `int` | `getDefaultLoadThresholdsCount()` Get the number of values for the default `hostname` (@/).
    `java.lang.String` | `getDefaultMinCpuInterval()` Get the default value of the attribute minCpuInterval.
    `java.lang.String` | `getDefaultNotify()` Get the default value of the attribute notify.
    `int` | `getDefaultNsuspend()` Get the default value of the attribute nsuspend.
    `UserSet` | `getDefaultOwner(int index)` Get the default value of the attribute owner.
    `int` | `getDefaultOwnerCount()` Get the number of values for the default `hostname` (@/).
    `java.lang.String` | `getDefaultPe(int index)` Get the default value of the attribute pe.
    `int` | `getDefaultPeCount()` Get the number of values for the default `hostname` (@/).
    `java.lang.String` | `getDefaultPriority()` Get the default value of the attribute priority.
    `java.lang.String` | `getDefaultProcessors()` Get the default value of the attribute processors.
    `Project` | `getDefaultProjects(int index)` Get the default value of the attribute projects.
    `int` | `getDefaultProjectsCount()` Get the number of values for the default `hostname` (@/).
    `java.lang.String` | `getDefaultProlog()` Get the default value of the attribute prolog.
    `int` | `getDefaultQtype()` Get the default value of the attribute qtype.
    `boolean` | `getDefaultRerun()` Get the default value of the attribute rerun.
    `java.lang.String` | `getDefaultResumeMethod()` Get the default value of the attribute resumeMethod.
    `java.lang.String` | `getDefaultSCore()` Get the default value of the attribute sCore.
    `java.lang.String` | `getDefaultSCpu()` Get the default value of the attribute sCpu.
    `java.lang.String` | `getDefaultSData()` Get the default value of the attribute sData.
    `int` | `getDefaultSeqNo()` Get the default value of the attribute seqNo.
    `java.lang.String` | `getDefaultSFsize()` Get the default value of the attribute sFsize.
    `java.lang.String` | `getDefaultShell()` Get the default value of the attribute shell.
    `java.lang.String` | `getDefaultShellStartMode()` Get the default value of the attribute shellStartMode.
    `java.lang.String` | `getDefaultSRss()` Get the default value of the attribute sRss.
    `java.lang.String` | `getDefaultSRt()` Get the default value of the attribute sRt.
    `java.lang.String` | `getDefaultSStack()` Get the default value of the attribute sStack.
    `java.lang.String` | `getDefaultStarterMethod()` Get the default value of the attribute starterMethod.
    `Subordinate` | `getDefaultSubordinate(int index)` Get the default value of the attribute subordinate.
    `int` | `getDefaultSubordinateCount()` Get the number of values for the default `hostname` (@/).
    `java.lang.String` | `getDefaultSuspendInterval()` Get the default value of the attribute suspendInterval.
    `java.lang.String` | `getDefaultSuspendMethod()` Get the default value of the attribute suspendMethod.
    `ComplexEntry` | `getDefaultSuspendThresholds(int index)` Get the default value of the attribute suspendThresholds.
    `int` | `getDefaultSuspendThresholdsCount()` Get the number of values for the default `hostname` (@/).
    `java.lang.String` | `getDefaultSVmem()` Get the default value of the attribute sVmem.
    `java.lang.String` | `getDefaultTerminateMethod()` Get the default value of the attribute terminateMethod.
    `java.lang.String` | `getDefaultTmpdir()` Get the default value of the attribute tmpdir.
    `UserSet` | `getDefaultXacl(int index)` Get the default value of the attribute xacl.
    `int` | `getDefaultXaclCount()` Get the number of values for the default `hostname` (@/).
    `Project` | `getDefaultXprojects(int index)` Get the default value of the attribute xprojects.
    `int` | `getDefaultXprojectsCount()` Get the number of values for the default `hostname` (@/).
    `java.lang.String` | `getEpilog(java.lang.String hostname)` Get the epilog attribute for a hostname.
    `int` | `getEpilogCount()` Get the number of hostnames which have the attribute epilog set.
    `java.util.Set<java.lang.String>` | `getEpilogKeys()` Get the set of hostnames which have the attribute epilog set.
    `java.lang.String` | `getHCore(java.lang.String hostname)` Get the hCore attribute for a hostname.
    `int` | `getHCoreCount()` Get the number of hostnames which have the attribute hCore set.
    `java.util.Set<java.lang.String>` | `getHCoreKeys()` Get the set of hostnames which have the attribute hCore set.
    `java.lang.String` | `getHCpu(java.lang.String hostname)` Get the hCpu attribute for a hostname.
    `int` | `getHCpuCount()` Get the number of hostnames which have the attribute hCpu set.
    `java.util.Set<java.lang.String>` | `getHCpuKeys()` Get the set of hostnames which have the attribute hCpu set.
    `java.lang.String` | `getHData(java.lang.String hostname)` Get the hData attribute for a hostname.
    `int` | `getHDataCount()` Get the number of hostnames which have the attribute hData set.
    `java.util.Set<java.lang.String>` | `getHDataKeys()` Get the set of hostnames which have the attribute hData set.
    `java.lang.String` | `getHFsize(java.lang.String hostname)` Get the hFsize attribute for a hostname.
    `int` | `getHFsizeCount()` Get the number of hostnames which have the attribute hFsize set.
    `java.util.Set<java.lang.String>` | `getHFsizeKeys()` Get the set of hostnames which have the attribute hFsize set.
    `java.lang.String` | `getHostlist(int index)` Get a java.lang.String attribute at an index.
    `int` | `getHostlistCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getHostlistList()` Get a unmodifiable list of all java.lang.String attributes.
    `java.lang.String` | `getHRss(java.lang.String hostname)` Get the hRss attribute for a hostname.
    `int` | `getHRssCount()` Get the number of hostnames which have the attribute hRss set.
    `java.util.Set<java.lang.String>` | `getHRssKeys()` Get the set of hostnames which have the attribute hRss set.
    `java.lang.String` | `getHRt(java.lang.String hostname)` Get the hRt attribute for a hostname.
    `int` | `getHRtCount()` Get the number of hostnames which have the attribute hRt set.
    `java.util.Set<java.lang.String>` | `getHRtKeys()` Get the set of hostnames which have the attribute hRt set.
    `java.lang.String` | `getHStack(java.lang.String hostname)` Get the hStack attribute for a hostname.
    `int` | `getHStackCount()` Get the number of hostnames which have the attribute hStack set.
    `java.util.Set<java.lang.String>` | `getHStackKeys()` Get the set of hostnames which have the attribute hStack set.
    `java.lang.String` | `getHVmem(java.lang.String hostname)` Get the hVmem attribute for a hostname.
    `int` | `getHVmemCount()` Get the number of hostnames which have the attribute hVmem set.
    `java.util.Set<java.lang.String>` | `getHVmemKeys()` Get the set of hostnames which have the attribute hVmem set.
    `java.lang.String` | `getInitialState(java.lang.String hostname)` Get the initialState attribute for a hostname.
    `int` | `getInitialStateCount()` Get the number of hostnames which have the attribute initialState set.
    `java.util.Set<java.lang.String>` | `getInitialStateKeys()` Get the set of hostnames which have the attribute initialState set.
    `int` | `getJobSlots(java.lang.String hostname)` Get the jobSlots attribute for a hostname.
    `int` | `getJobSlotsCount()` Get the number of hostnames which have the attribute jobSlots set.
    `java.util.Set<java.lang.String>` | `getJobSlotsKeys()` Get the set of hostnames which have the attribute jobSlots set.
    `ComplexEntry` | `getLoadThresholds(java.lang.String hostname, int index)` Get the value of a hostname at an index.
    `int` | `getLoadThresholdsCount(java.lang.String hostname)` Get the number of values for a hostname
    `java.util.Set<java.lang.String>` | `getLoadThresholdsKeys()` Get a unmodifiable set of stored loadThresholds attribute keys.
    `java.util.List` | `getLoadThresholdsList(java.lang.String hostname)` Get a unmodifiable list of loadThresholds attributes
    `java.lang.String` | `getMinCpuInterval(java.lang.String hostname)` Get the minCpuInterval attribute for a hostname.
    `int` | `getMinCpuIntervalCount()` Get the number of hostnames which have the attribute minCpuInterval set.
    `java.util.Set<java.lang.String>` | `getMinCpuIntervalKeys()` Get the set of hostnames which have the attribute minCpuInterval set.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `java.lang.String` | `getNotify(java.lang.String hostname)` Get the notify attribute for a hostname.
    `int` | `getNotifyCount()` Get the number of hostnames which have the attribute notify set.
    `java.util.Set<java.lang.String>` | `getNotifyKeys()` Get the set of hostnames which have the attribute notify set.
    `int` | `getNsuspend(java.lang.String hostname)` Get the nsuspend attribute for a hostname.
    `int` | `getNsuspendCount()` Get the number of hostnames which have the attribute nsuspend set.
    `java.util.Set<java.lang.String>` | `getNsuspendKeys()` Get the set of hostnames which have the attribute nsuspend set.
    `UserSet` | `getOwner(java.lang.String hostname, int index)` Get the value of a hostname at an index.
    `int` | `getOwnerCount(java.lang.String hostname)` Get the number of values for a hostname
    `java.util.Set<java.lang.String>` | `getOwnerKeys()` Get a unmodifiable set of stored owner attribute keys.
    `java.util.List` | `getOwnerList(java.lang.String hostname)` Get a unmodifiable list of owner attributes
    `java.lang.String` | `getPe(java.lang.String hostname, int index)` Get the value of a hostname at an index.
    `int` | `getPeCount(java.lang.String hostname)` Get the number of values for a hostname
    `java.util.Set<java.lang.String>` | `getPeKeys()` Get a unmodifiable set of stored pe attribute keys.
    `java.util.List` | `getPeList(java.lang.String hostname)` Get a unmodifiable list of pe attributes
    `java.lang.String` | `getPriority(java.lang.String hostname)` Get the priority attribute for a hostname.
    `int` | `getPriorityCount()` Get the number of hostnames which have the attribute priority set.
    `java.util.Set<java.lang.String>` | `getPriorityKeys()` Get the set of hostnames which have the attribute priority set.
    `java.lang.String` | `getProcessors(java.lang.String hostname)` Get the processors attribute for a hostname.
    `int` | `getProcessorsCount()` Get the number of hostnames which have the attribute processors set.
    `java.util.Set<java.lang.String>` | `getProcessorsKeys()` Get the set of hostnames which have the attribute processors set.
    `Project` | `getProjects(java.lang.String hostname, int index)` Get the value of a hostname at an index.
    `int` | `getProjectsCount(java.lang.String hostname)` Get the number of values for a hostname
    `java.util.Set<java.lang.String>` | `getProjectsKeys()` Get a unmodifiable set of stored projects attribute keys.
    `java.util.List` | `getProjectsList(java.lang.String hostname)` Get a unmodifiable list of projects attributes
    `java.lang.String` | `getProlog(java.lang.String hostname)` Get the prolog attribute for a hostname.
    `int` | `getPrologCount()` Get the number of hostnames which have the attribute prolog set.
    `java.util.Set<java.lang.String>` | `getPrologKeys()` Get the set of hostnames which have the attribute prolog set.
    `QueueInstance` | `getQinstances(int index)` Get a com.sun.grid.jgdi.configuration.QueueInstance attribute at an index.
    `int` | `getQinstancesCount()` Get the number of com.sun.grid.jgdi.configuration.QueueInstance attributes.
    `java.util.List<QueueInstance>` | `getQinstancesList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.QueueInstance attributes.
    `int` | `getQtype(java.lang.String hostname)` Get the qtype attribute for a hostname.
    `int` | `getQtypeCount()` Get the number of hostnames which have the attribute qtype set.
    `java.util.Set<java.lang.String>` | `getQtypeKeys()` Get the set of hostnames which have the attribute qtype set.
    `boolean` | `getRerun(java.lang.String hostname)` Get the rerun attribute for a hostname.
    `int` | `getRerunCount()` Get the number of hostnames which have the attribute rerun set.
    `java.util.Set<java.lang.String>` | `getRerunKeys()` Get the set of hostnames which have the attribute rerun set.
    `java.lang.String` | `getResumeMethod(java.lang.String hostname)` Get the resumeMethod attribute for a hostname.
    `int` | `getResumeMethodCount()` Get the number of hostnames which have the attribute resumeMethod set.
    `java.util.Set<java.lang.String>` | `getResumeMethodKeys()` Get the set of hostnames which have the attribute resumeMethod set.
    `java.lang.String` | `getSCore(java.lang.String hostname)` Get the sCore attribute for a hostname.
    `int` | `getSCoreCount()` Get the number of hostnames which have the attribute sCore set.
    `java.util.Set<java.lang.String>` | `getSCoreKeys()` Get the set of hostnames which have the attribute sCore set.
    `java.lang.String` | `getSCpu(java.lang.String hostname)` Get the sCpu attribute for a hostname.
    `int` | `getSCpuCount()` Get the number of hostnames which have the attribute sCpu set.
    `java.util.Set<java.lang.String>` | `getSCpuKeys()` Get the set of hostnames which have the attribute sCpu set.
    `java.lang.String` | `getSData(java.lang.String hostname)` Get the sData attribute for a hostname.
    `int` | `getSDataCount()` Get the number of hostnames which have the attribute sData set.
    `java.util.Set<java.lang.String>` | `getSDataKeys()` Get the set of hostnames which have the attribute sData set.
    `int` | `getSeqNo(java.lang.String hostname)` Get the seqNo attribute for a hostname.
    `int` | `getSeqNoCount()` Get the number of hostnames which have the attribute seqNo set.
    `java.util.Set<java.lang.String>` | `getSeqNoKeys()` Get the set of hostnames which have the attribute seqNo set.
    `java.lang.String` | `getSFsize(java.lang.String hostname)` Get the sFsize attribute for a hostname.
    `int` | `getSFsizeCount()` Get the number of hostnames which have the attribute sFsize set.
    `java.util.Set<java.lang.String>` | `getSFsizeKeys()` Get the set of hostnames which have the attribute sFsize set.
    `java.lang.String` | `getShell(java.lang.String hostname)` Get the shell attribute for a hostname.
    `int` | `getShellCount()` Get the number of hostnames which have the attribute shell set.
    `java.util.Set<java.lang.String>` | `getShellKeys()` Get the set of hostnames which have the attribute shell set.
    `java.lang.String` | `getShellStartMode(java.lang.String hostname)` Get the shellStartMode attribute for a hostname.
    `int` | `getShellStartModeCount()` Get the number of hostnames which have the attribute shellStartMode set.
    `java.util.Set<java.lang.String>` | `getShellStartModeKeys()` Get the set of hostnames which have the attribute shellStartMode set.
    `java.lang.String` | `getSRss(java.lang.String hostname)` Get the sRss attribute for a hostname.
    `int` | `getSRssCount()` Get the number of hostnames which have the attribute sRss set.
    `java.util.Set<java.lang.String>` | `getSRssKeys()` Get the set of hostnames which have the attribute sRss set.
    `java.lang.String` | `getSRt(java.lang.String hostname)` Get the sRt attribute for a hostname.
    `int` | `getSRtCount()` Get the number of hostnames which have the attribute sRt set.
    `java.util.Set<java.lang.String>` | `getSRtKeys()` Get the set of hostnames which have the attribute sRt set.
    `java.lang.String` | `getSStack(java.lang.String hostname)` Get the sStack attribute for a hostname.
    `int` | `getSStackCount()` Get the number of hostnames which have the attribute sStack set.
    `java.util.Set<java.lang.String>` | `getSStackKeys()` Get the set of hostnames which have the attribute sStack set.
    `java.lang.String` | `getStarterMethod(java.lang.String hostname)` Get the starterMethod attribute for a hostname.
    `int` | `getStarterMethodCount()` Get the number of hostnames which have the attribute starterMethod set.
    `java.util.Set<java.lang.String>` | `getStarterMethodKeys()` Get the set of hostnames which have the attribute starterMethod set.
    `Subordinate` | `getSubordinate(java.lang.String hostname, int index)` Get the value of a hostname at an index.
    `int` | `getSubordinateCount(java.lang.String hostname)` Get the number of values for a hostname
    `java.util.Set<java.lang.String>` | `getSubordinateKeys()` Get a unmodifiable set of stored subordinate attribute keys.
    `java.util.List` | `getSubordinateList(java.lang.String hostname)` Get a unmodifiable list of subordinate attributes
    `java.lang.String` | `getSuspendInterval(java.lang.String hostname)` Get the suspendInterval attribute for a hostname.
    `int` | `getSuspendIntervalCount()` Get the number of hostnames which have the attribute suspendInterval set.
    `java.util.Set<java.lang.String>` | `getSuspendIntervalKeys()` Get the set of hostnames which have the attribute suspendInterval set.
    `java.lang.String` | `getSuspendMethod(java.lang.String hostname)` Get the suspendMethod attribute for a hostname.
    `int` | `getSuspendMethodCount()` Get the number of hostnames which have the attribute suspendMethod set.
    `java.util.Set<java.lang.String>` | `getSuspendMethodKeys()` Get the set of hostnames which have the attribute suspendMethod set.
    `ComplexEntry` | `getSuspendThresholds(java.lang.String hostname, int index)` Get the value of a hostname at an index.
    `int` | `getSuspendThresholdsCount(java.lang.String hostname)` Get the number of values for a hostname
    `java.util.Set<java.lang.String>` | `getSuspendThresholdsKeys()` Get a unmodifiable set of stored suspendThresholds attribute keys.
    `java.util.List` | `getSuspendThresholdsList(java.lang.String hostname)` Get a unmodifiable list of suspendThresholds attributes
    `java.lang.String` | `getSVmem(java.lang.String hostname)` Get the sVmem attribute for a hostname.
    `int` | `getSVmemCount()` Get the number of hostnames which have the attribute sVmem set.
    `java.util.Set<java.lang.String>` | `getSVmemKeys()` Get the set of hostnames which have the attribute sVmem set.
    `int` | `getTag()` Get the value of the tag attribute.
    `java.lang.String` | `getTerminateMethod(java.lang.String hostname)` Get the terminateMethod attribute for a hostname.
    `int` | `getTerminateMethodCount()` Get the number of hostnames which have the attribute terminateMethod set.
    `java.util.Set<java.lang.String>` | `getTerminateMethodKeys()` Get the set of hostnames which have the attribute terminateMethod set.
    `java.lang.String` | `getTmpdir(java.lang.String hostname)` Get the tmpdir attribute for a hostname.
    `int` | `getTmpdirCount()` Get the number of hostnames which have the attribute tmpdir set.
    `java.util.Set<java.lang.String>` | `getTmpdirKeys()` Get the set of hostnames which have the attribute tmpdir set.
    `UserSet` | `getXacl(java.lang.String hostname, int index)` Get the value of a hostname at an index.
    `int` | `getXaclCount(java.lang.String hostname)` Get the number of values for a hostname
    `java.util.Set<java.lang.String>` | `getXaclKeys()` Get a unmodifiable set of stored xacl attribute keys.
    `java.util.List` | `getXaclList(java.lang.String hostname)` Get a unmodifiable list of xacl attributes
    `Project` | `getXprojects(java.lang.String hostname, int index)` Get the value of a hostname at an index.
    `int` | `getXprojectsCount(java.lang.String hostname)` Get the number of values for a hostname
    `java.util.Set<java.lang.String>` | `getXprojectsKeys()` Get a unmodifiable set of stored xprojects attribute keys.
    `java.util.List` | `getXprojectsList(java.lang.String hostname)` Get a unmodifiable list of xprojects attributes
    `boolean` | `isSetAcl()` Determine if the acl is set
    `boolean` | `isSetCalendar()` Determine if any calendar attribute is set
    `boolean` | `isSetCalendar(java.lang.String hostname)` Determine if any calendar attribute is for a hostname is set
    `boolean` | `isSetCkpt()` Determine if the ckpt is set
    `boolean` | `isSetConsumableConfig()` Determine if the consumableConfig is set
    `boolean` | `isSetEpilog()` Determine if any epilog attribute is set
    `boolean` | `isSetEpilog(java.lang.String hostname)` Determine if any epilog attribute is for a hostname is set
    `boolean` | `isSetHCore()` Determine if any hCore attribute is set
    `boolean` | `isSetHCore(java.lang.String hostname)` Determine if any hCore attribute is for a hostname is set
    `boolean` | `isSetHCpu()` Determine if any hCpu attribute is set
    `boolean` | `isSetHCpu(java.lang.String hostname)` Determine if any hCpu attribute is for a hostname is set
    `boolean` | `isSetHData()` Determine if any hData attribute is set
    `boolean` | `isSetHData(java.lang.String hostname)` Determine if any hData attribute is for a hostname is set
    `boolean` | `isSetHFsize()` Determine if any hFsize attribute is set
    `boolean` | `isSetHFsize(java.lang.String hostname)` Determine if any hFsize attribute is for a hostname is set
    `boolean` | `isSetHostlist()` Determine if the hostlist attribute is set
    `boolean` | `isSetHRss()` Determine if any hRss attribute is set
    `boolean` | `isSetHRss(java.lang.String hostname)` Determine if any hRss attribute is for a hostname is set
    `boolean` | `isSetHRt()` Determine if any hRt attribute is set
    `boolean` | `isSetHRt(java.lang.String hostname)` Determine if any hRt attribute is for a hostname is set
    `boolean` | `isSetHStack()` Determine if any hStack attribute is set
    `boolean` | `isSetHStack(java.lang.String hostname)` Determine if any hStack attribute is for a hostname is set
    `boolean` | `isSetHVmem()` Determine if any hVmem attribute is set
    `boolean` | `isSetHVmem(java.lang.String hostname)` Determine if any hVmem attribute is for a hostname is set
    `boolean` | `isSetInitialState()` Determine if any initialState attribute is set
    `boolean` | `isSetInitialState(java.lang.String hostname)` Determine if any initialState attribute is for a hostname is set
    `boolean` | `isSetJobSlots()` Determine if any jobSlots attribute is set
    `boolean` | `isSetJobSlots(java.lang.String hostname)` Determine if any jobSlots attribute is for a hostname is set
    `boolean` | `isSetLoadThresholds()` Determine if the loadThresholds is set
    `boolean` | `isSetMinCpuInterval()` Determine if any minCpuInterval attribute is set
    `boolean` | `isSetMinCpuInterval(java.lang.String hostname)` Determine if any minCpuInterval attribute is for a hostname is set
    `boolean` | `isSetName()` Determine if the name attribute is set
    `boolean` | `isSetNotify()` Determine if any notify attribute is set
    `boolean` | `isSetNotify(java.lang.String hostname)` Determine if any notify attribute is for a hostname is set
    `boolean` | `isSetNsuspend()` Determine if any nsuspend attribute is set
    `boolean` | `isSetNsuspend(java.lang.String hostname)` Determine if any nsuspend attribute is for a hostname is set
    `boolean` | `isSetOwner()` Determine if the owner is set
    `boolean` | `isSetPe()` Determine if the pe is set
    `boolean` | `isSetPriority()` Determine if any priority attribute is set
    `boolean` | `isSetPriority(java.lang.String hostname)` Determine if any priority attribute is for a hostname is set
    `boolean` | `isSetProcessors()` Determine if any processors attribute is set
    `boolean` | `isSetProcessors(java.lang.String hostname)` Determine if any processors attribute is for a hostname is set
    `boolean` | `isSetProjects()` Determine if the projects is set
    `boolean` | `isSetProlog()` Determine if any prolog attribute is set
    `boolean` | `isSetProlog(java.lang.String hostname)` Determine if any prolog attribute is for a hostname is set
    `boolean` | `isSetQinstances()` Determine if the qinstances attribute is set
    `boolean` | `isSetQtype()` Determine if any qtype attribute is set
    `boolean` | `isSetQtype(java.lang.String hostname)` Determine if any qtype attribute is for a hostname is set
    `boolean` | `isSetRerun()` Determine if any rerun attribute is set
    `boolean` | `isSetRerun(java.lang.String hostname)` Determine if any rerun attribute is for a hostname is set
    `boolean` | `isSetResumeMethod()` Determine if any resumeMethod attribute is set
    `boolean` | `isSetResumeMethod(java.lang.String hostname)` Determine if any resumeMethod attribute is for a hostname is set
    `boolean` | `isSetSCore()` Determine if any sCore attribute is set
    `boolean` | `isSetSCore(java.lang.String hostname)` Determine if any sCore attribute is for a hostname is set
    `boolean` | `isSetSCpu()` Determine if any sCpu attribute is set
    `boolean` | `isSetSCpu(java.lang.String hostname)` Determine if any sCpu attribute is for a hostname is set
    `boolean` | `isSetSData()` Determine if any sData attribute is set
    `boolean` | `isSetSData(java.lang.String hostname)` Determine if any sData attribute is for a hostname is set
    `boolean` | `isSetSeqNo()` Determine if any seqNo attribute is set
    `boolean` | `isSetSeqNo(java.lang.String hostname)` Determine if any seqNo attribute is for a hostname is set
    `boolean` | `isSetSFsize()` Determine if any sFsize attribute is set
    `boolean` | `isSetSFsize(java.lang.String hostname)` Determine if any sFsize attribute is for a hostname is set
    `boolean` | `isSetShell()` Determine if any shell attribute is set
    `boolean` | `isSetShell(java.lang.String hostname)` Determine if any shell attribute is for a hostname is set
    `boolean` | `isSetShellStartMode()` Determine if any shellStartMode attribute is set
    `boolean` | `isSetShellStartMode(java.lang.String hostname)` Determine if any shellStartMode attribute is for a hostname is set
    `boolean` | `isSetSRss()` Determine if any sRss attribute is set
    `boolean` | `isSetSRss(java.lang.String hostname)` Determine if any sRss attribute is for a hostname is set
    `boolean` | `isSetSRt()` Determine if any sRt attribute is set
    `boolean` | `isSetSRt(java.lang.String hostname)` Determine if any sRt attribute is for a hostname is set
    `boolean` | `isSetSStack()` Determine if any sStack attribute is set
    `boolean` | `isSetSStack(java.lang.String hostname)` Determine if any sStack attribute is for a hostname is set
    `boolean` | `isSetStarterMethod()` Determine if any starterMethod attribute is set
    `boolean` | `isSetStarterMethod(java.lang.String hostname)` Determine if any starterMethod attribute is for a hostname is set
    `boolean` | `isSetSubordinate()` Determine if the subordinate is set
    `boolean` | `isSetSuspendInterval()` Determine if any suspendInterval attribute is set
    `boolean` | `isSetSuspendInterval(java.lang.String hostname)` Determine if any suspendInterval attribute is for a hostname is set
    `boolean` | `isSetSuspendMethod()` Determine if any suspendMethod attribute is set
    `boolean` | `isSetSuspendMethod(java.lang.String hostname)` Determine if any suspendMethod attribute is for a hostname is set
    `boolean` | `isSetSuspendThresholds()` Determine if the suspendThresholds is set
    `boolean` | `isSetSVmem()` Determine if any sVmem attribute is set
    `boolean` | `isSetSVmem(java.lang.String hostname)` Determine if any sVmem attribute is for a hostname is set
    `boolean` | `isSetTag()` Determine if the tag attribute is set
    `boolean` | `isSetTerminateMethod()` Determine if any terminateMethod attribute is set
    `boolean` | `isSetTerminateMethod(java.lang.String hostname)` Determine if any terminateMethod attribute is for a hostname is set
    `boolean` | `isSetTmpdir()` Determine if any tmpdir attribute is set
    `boolean` | `isSetTmpdir(java.lang.String hostname)` Determine if any tmpdir attribute is for a hostname is set
    `boolean` | `isSetXacl()` Determine if the xacl is set
    `boolean` | `isSetXprojects()` Determine if the xprojects is set
    `void` | `putCalendar(java.lang.String hostname, java.lang.String calendar)` Put the attribute calendar for a hostname.
    `void` | `putEpilog(java.lang.String hostname, java.lang.String epilog)` Put the attribute epilog for a hostname.
    `void` | `putHCore(java.lang.String hostname, java.lang.String hCore)` Put the attribute hCore for a hostname.
    `void` | `putHCpu(java.lang.String hostname, java.lang.String hCpu)` Put the attribute hCpu for a hostname.
    `void` | `putHData(java.lang.String hostname, java.lang.String hData)` Put the attribute hData for a hostname.
    `void` | `putHFsize(java.lang.String hostname, java.lang.String hFSize)` Put the attribute hFsize for a hostname.
    `void` | `putHRss(java.lang.String hostname, java.lang.String hRss)` Put the attribute hRss for a hostname.
    `void` | `putHRt(java.lang.String hostname, java.lang.String hRt)` Put the attribute hRt for a hostname.
    `void` | `putHStack(java.lang.String hostname, java.lang.String hStack)` Put the attribute hStack for a hostname.
    `void` | `putHVmem(java.lang.String hostname, java.lang.String hVmem)` Put the attribute hVmem for a hostname.
    `void` | `putInitialState(java.lang.String hostname, java.lang.String initialState)` Put the attribute initialState for a hostname.
    `void` | `putJobSlots(java.lang.String hostname, int jobSlots)` Put the attribute jobSlots for a hostname.
    `void` | `putMinCpuInterval(java.lang.String hostname, java.lang.String minCpuInterval)` Put the attribute minCpuInterval for a hostname.
    `void` | `putNotify(java.lang.String hostname, java.lang.String notify)` Put the attribute notify for a hostname.
    `void` | `putNsuspend(java.lang.String hostname, int nsuspend)` Put the attribute nsuspend for a hostname.
    `void` | `putPriority(java.lang.String hostname, java.lang.String priority)` Put the attribute priority for a hostname.
    `void` | `putProcessors(java.lang.String hostname, java.lang.String processors)` Put the attribute processors for a hostname.
    `void` | `putProlog(java.lang.String hostname, java.lang.String prolog)` Put the attribute prolog for a hostname.
    `void` | `putQtype(java.lang.String hostname, int qType)` Put the attribute qtype for a hostname.
    `void` | `putRerun(java.lang.String hostname, boolean rerun)` Put the attribute rerun for a hostname.
    `void` | `putResumeMethod(java.lang.String hostname, java.lang.String resumeMethod)` Put the attribute resumeMethod for a hostname.
    `void` | `putSCore(java.lang.String hostname, java.lang.String sCore)` Put the attribute sCore for a hostname.
    `void` | `putSCpu(java.lang.String hostname, java.lang.String sCpu)` Put the attribute sCpu for a hostname.
    `void` | `putSData(java.lang.String hostname, java.lang.String sData)` Put the attribute sData for a hostname.
    `void` | `putSeqNo(java.lang.String hostname, int seqNo)` Put the attribute seqNo for a hostname.
    `void` | `putSFsize(java.lang.String hostname, java.lang.String sFSize)` Put the attribute sFsize for a hostname.
    `void` | `putShell(java.lang.String hostname, java.lang.String shell)` Put the attribute shell for a hostname.
    `void` | `putShellStartMode(java.lang.String hostname, java.lang.String shellStartMode)` Put the attribute shellStartMode for a hostname.
    `void` | `putSRss(java.lang.String hostname, java.lang.String sRss)` Put the attribute sRss for a hostname.
    `void` | `putSRt(java.lang.String hostname, java.lang.String sRt)` Put the attribute sRt for a hostname.
    `void` | `putSStack(java.lang.String hostname, java.lang.String sStack)` Put the attribute sStack for a hostname.
    `void` | `putStarterMethod(java.lang.String hostname, java.lang.String starterMethod)` Put the attribute starterMethod for a hostname.
    `void` | `putSuspendInterval(java.lang.String hostname, java.lang.String suspendInterval)` Put the attribute suspendInterval for a hostname.
    `void` | `putSuspendMethod(java.lang.String hostname, java.lang.String suspendMethod)` Put the attribute suspendMethod for a hostname.
    `void` | `putSVmem(java.lang.String hostname, java.lang.String sVmem)` Put the attribute sVmem for a hostname.
    `void` | `putTerminateMethod(java.lang.String hostname, java.lang.String terminateMethod)` Put the attribute terminateMethod for a hostname.
    `void` | `putTmpdir(java.lang.String hostname, java.lang.String tmpDir)` Put the attribute tmpdir for a hostname.
    `boolean` | `removeAcl(java.lang.String hostname, UserSet acl)` Remove a acl attribute for a hostname.
    `java.lang.Object` | `removeAclAt(java.lang.String hostname, int index)` Remove a acl attribute for a hostname.
    `void` | `removeAllAcl()` Remove all acl) attributes.
    `void` | `removeAllAcl(java.lang.String hostname)` Remove all acl) attributes for a hostname.
    `void` | `removeAllCalendar()` Remove the attribute calendar for all hostnames.
    `void` | `removeAllCkpt()` Remove all checkpoint) attributes.
    `void` | `removeAllCkpt(java.lang.String hostname)` Remove all checkpoint) attributes for a hostname.
    `void` | `removeAllConsumableConfig()` Remove all consumable) attributes.
    `void` | `removeAllConsumableConfig(java.lang.String hostname)` Remove all consumable) attributes for a hostname.
    `void` | `removeAllDefaultAcl()` Remove all acl) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultCkpt()` Remove all checkpoint) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultConsumableConfig()` Remove all consumable) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultLoadThresholds()` Remove all loadThreshold) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultOwner()` Remove all owner) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultPe()` Remove all pe) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultProjects()` Remove all project) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultSubordinate()` Remove all subordinate) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultSuspendThresholds()` Remove all suspendThreshold) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultXacl()` Remove all acl) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultXprojects()` Remove all project) attributes from the default `hostname` (@/).
    `void` | `removeAllEpilog()` Remove the attribute epilog for all hostnames.
    `void` | `removeAllHCore()` Remove the attribute hCore for all hostnames.
    `void` | `removeAllHCpu()` Remove the attribute hCpu for all hostnames.
    `void` | `removeAllHData()` Remove the attribute hData for all hostnames.
    `void` | `removeAllHFsize()` Remove the attribute hFsize for all hostnames.
    `void` | `removeAllHostlist()` Remove all java.lang.String attributes.
    `void` | `removeAllHRss()` Remove the attribute hRss for all hostnames.
    `void` | `removeAllHRt()` Remove the attribute hRt for all hostnames.
    `void` | `removeAllHStack()` Remove the attribute hStack for all hostnames.
    `void` | `removeAllHVmem()` Remove the attribute hVmem for all hostnames.
    `void` | `removeAllInitialState()` Remove the attribute initialState for all hostnames.
    `void` | `removeAllJobSlots()` Remove the attribute jobSlots for all hostnames.
    `void` | `removeAllLoadThresholds()` Remove all loadThreshold) attributes.
    `void` | `removeAllLoadThresholds(java.lang.String hostname)` Remove all loadThreshold) attributes for a hostname.
    `void` | `removeAllMinCpuInterval()` Remove the attribute minCpuInterval for all hostnames.
    `void` | `removeAllNotify()` Remove the attribute notify for all hostnames.
    `void` | `removeAllNsuspend()` Remove the attribute nsuspend for all hostnames.
    `void` | `removeAllOwner()` Remove all owner) attributes.
    `void` | `removeAllOwner(java.lang.String hostname)` Remove all owner) attributes for a hostname.
    `void` | `removeAllPe()` Remove all pe) attributes.
    `void` | `removeAllPe(java.lang.String hostname)` Remove all pe) attributes for a hostname.
    `void` | `removeAllPriority()` Remove the attribute priority for all hostnames.
    `void` | `removeAllProcessors()` Remove the attribute processors for all hostnames.
    `void` | `removeAllProjects()` Remove all project) attributes.
    `void` | `removeAllProjects(java.lang.String hostname)` Remove all project) attributes for a hostname.
    `void` | `removeAllProlog()` Remove the attribute prolog for all hostnames.
    `void` | `removeAllQinstances()` Remove all com.sun.grid.jgdi.configuration.QueueInstance attributes.
    `void` | `removeAllQtype()` Remove the attribute qtype for all hostnames.
    `void` | `removeAllRerun()` Remove the attribute rerun for all hostnames.
    `void` | `removeAllResumeMethod()` Remove the attribute resumeMethod for all hostnames.
    `void` | `removeAllSCore()` Remove the attribute sCore for all hostnames.
    `void` | `removeAllSCpu()` Remove the attribute sCpu for all hostnames.
    `void` | `removeAllSData()` Remove the attribute sData for all hostnames.
    `void` | `removeAllSeqNo()` Remove the attribute seqNo for all hostnames.
    `void` | `removeAllSFsize()` Remove the attribute sFsize for all hostnames.
    `void` | `removeAllShell()` Remove the attribute shell for all hostnames.
    `void` | `removeAllShellStartMode()` Remove the attribute shellStartMode for all hostnames.
    `void` | `removeAllSRss()` Remove the attribute sRss for all hostnames.
    `void` | `removeAllSRt()` Remove the attribute sRt for all hostnames.
    `void` | `removeAllSStack()` Remove the attribute sStack for all hostnames.
    `void` | `removeAllStarterMethod()` Remove the attribute starterMethod for all hostnames.
    `void` | `removeAllSubordinate()` Remove all subordinate) attributes.
    `void` | `removeAllSubordinate(java.lang.String hostname)` Remove all subordinate) attributes for a hostname.
    `void` | `removeAllSuspendInterval()` Remove the attribute suspendInterval for all hostnames.
    `void` | `removeAllSuspendMethod()` Remove the attribute suspendMethod for all hostnames.
    `void` | `removeAllSuspendThresholds()` Remove all suspendThreshold) attributes.
    `void` | `removeAllSuspendThresholds(java.lang.String hostname)` Remove all suspendThreshold) attributes for a hostname.
    `void` | `removeAllSVmem()` Remove the attribute sVmem for all hostnames.
    `void` | `removeAllTerminateMethod()` Remove the attribute terminateMethod for all hostnames.
    `void` | `removeAllTmpdir()` Remove the attribute tmpdir for all hostnames.
    `void` | `removeAllXacl()` Remove all acl) attributes.
    `void` | `removeAllXacl(java.lang.String hostname)` Remove all acl) attributes for a hostname.
    `void` | `removeAllXprojects()` Remove all project) attributes.
    `void` | `removeAllXprojects(java.lang.String hostname)` Remove all project) attributes for a hostname.
    `java.lang.String` | `removeCalendar(java.lang.String hostname)` remove the attribute calendar for a hostname.
    `boolean` | `removeCkpt(java.lang.String hostname, java.lang.String checkpoint)` Remove a checkpoint attribute for a hostname.
    `java.lang.Object` | `removeCkptAt(java.lang.String hostname, int index)` Remove a checkpoint attribute for a hostname.
    `boolean` | `removeConsumableConfig(java.lang.String hostname, ComplexEntry consumable)` Remove a consumable attribute for a hostname.
    `java.lang.Object` | `removeConsumableConfigAt(java.lang.String hostname, int index)` Remove a consumable attribute for a hostname.
    `boolean` | `removeDefaultAcl(java.lang.String hostname, UserSet acl)` Remove `acl` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultAclAt(java.lang.String hostname, int index)` Remove `acl` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultCkpt(java.lang.String hostname, java.lang.String checkpoint)` Remove `checkpoint` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultCkptAt(java.lang.String hostname, int index)` Remove `checkpoint` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultConsumableConfig(java.lang.String hostname, ComplexEntry consumable)` Remove `consumable` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultConsumableConfigAt(java.lang.String hostname, int index)` Remove `consumable` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultLoadThresholds(java.lang.String hostname, ComplexEntry loadThreshold)` Remove `loadThreshold` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultLoadThresholdsAt(java.lang.String hostname, int index)` Remove `loadThreshold` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultOwner(java.lang.String hostname, UserSet owner)` Remove `owner` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultOwnerAt(java.lang.String hostname, int index)` Remove `owner` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultPe(java.lang.String hostname, java.lang.String pe)` Remove `pe` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultPeAt(java.lang.String hostname, int index)` Remove `pe` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultProjects(java.lang.String hostname, Project project)` Remove `project` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultProjectsAt(java.lang.String hostname, int index)` Remove `project` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultSubordinate(java.lang.String hostname, Subordinate subordinate)` Remove `subordinate` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultSubordinateAt(java.lang.String hostname, int index)` Remove `subordinate` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultSuspendThresholds(java.lang.String hostname, ComplexEntry suspendThreshold)` Remove `suspendThreshold` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultSuspendThresholdsAt(java.lang.String hostname, int index)` Remove `suspendThreshold` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultXacl(java.lang.String hostname, UserSet acl)` Remove `acl` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultXaclAt(java.lang.String hostname, int index)` Remove `acl` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultXprojects(java.lang.String hostname, Project project)` Remove `project` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultXprojectsAt(java.lang.String hostname, int index)` Remove `project` attribute for the default `hostname` (@/).
    `java.lang.String` | `removeEpilog(java.lang.String hostname)` remove the attribute epilog for a hostname.
    `java.lang.String` | `removeHCore(java.lang.String hostname)` remove the attribute hCore for a hostname.
    `java.lang.String` | `removeHCpu(java.lang.String hostname)` remove the attribute hCpu for a hostname.
    `java.lang.String` | `removeHData(java.lang.String hostname)` remove the attribute hData for a hostname.
    `java.lang.String` | `removeHFsize(java.lang.String hostname)` remove the attribute hFsize for a hostname.
    `java.lang.String` | `removeHostlist(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeHostlist(java.lang.String ahostlist)` Remote a specific java.lang.String attribute.
    `java.lang.String` | `removeHRss(java.lang.String hostname)` remove the attribute hRss for a hostname.
    `java.lang.String` | `removeHRt(java.lang.String hostname)` remove the attribute hRt for a hostname.
    `java.lang.String` | `removeHStack(java.lang.String hostname)` remove the attribute hStack for a hostname.
    `java.lang.String` | `removeHVmem(java.lang.String hostname)` remove the attribute hVmem for a hostname.
    `java.lang.String` | `removeInitialState(java.lang.String hostname)` remove the attribute initialState for a hostname.
    `java.lang.Integer` | `removeJobSlots(java.lang.String hostname)` remove the attribute jobSlots for a hostname.
    `boolean` | `removeLoadThresholds(java.lang.String hostname, ComplexEntry loadThreshold)` Remove a loadThreshold attribute for a hostname.
    `java.lang.Object` | `removeLoadThresholdsAt(java.lang.String hostname, int index)` Remove a loadThreshold attribute for a hostname.
    `java.lang.String` | `removeMinCpuInterval(java.lang.String hostname)` remove the attribute minCpuInterval for a hostname.
    `java.lang.String` | `removeNotify(java.lang.String hostname)` remove the attribute notify for a hostname.
    `java.lang.Integer` | `removeNsuspend(java.lang.String hostname)` remove the attribute nsuspend for a hostname.
    `boolean` | `removeOwner(java.lang.String hostname, UserSet owner)` Remove a owner attribute for a hostname.
    `java.lang.Object` | `removeOwnerAt(java.lang.String hostname, int index)` Remove a owner attribute for a hostname.
    `boolean` | `removePe(java.lang.String hostname, java.lang.String pe)` Remove a pe attribute for a hostname.
    `java.lang.Object` | `removePeAt(java.lang.String hostname, int index)` Remove a pe attribute for a hostname.
    `java.lang.String` | `removePriority(java.lang.String hostname)` remove the attribute priority for a hostname.
    `java.lang.String` | `removeProcessors(java.lang.String hostname)` remove the attribute processors for a hostname.
    `boolean` | `removeProjects(java.lang.String hostname, Project project)` Remove a project attribute for a hostname.
    `java.lang.Object` | `removeProjectsAt(java.lang.String hostname, int index)` Remove a project attribute for a hostname.
    `java.lang.String` | `removeProlog(java.lang.String hostname)` remove the attribute prolog for a hostname.
    `QueueInstance` | `removeQinstances(int index)` Remote a com.sun.grid.jgdi.configuration.QueueInstance attribute at an index.
    `boolean` | `removeQinstances(QueueInstance aqinstances)` Remote a specific com.sun.grid.jgdi.configuration.QueueInstance attribute.
    `java.lang.Integer` | `removeQtype(java.lang.String hostname)` remove the attribute qtype for a hostname.
    `java.lang.Boolean` | `removeRerun(java.lang.String hostname)` remove the attribute rerun for a hostname.
    `java.lang.String` | `removeResumeMethod(java.lang.String hostname)` remove the attribute resumeMethod for a hostname.
    `java.lang.String` | `removeSCore(java.lang.String hostname)` remove the attribute sCore for a hostname.
    `java.lang.String` | `removeSCpu(java.lang.String hostname)` remove the attribute sCpu for a hostname.
    `java.lang.String` | `removeSData(java.lang.String hostname)` remove the attribute sData for a hostname.
    `java.lang.Integer` | `removeSeqNo(java.lang.String hostname)` remove the attribute seqNo for a hostname.
    `java.lang.String` | `removeSFsize(java.lang.String hostname)` remove the attribute sFsize for a hostname.
    `java.lang.String` | `removeShell(java.lang.String hostname)` remove the attribute shell for a hostname.
    `java.lang.String` | `removeShellStartMode(java.lang.String hostname)` remove the attribute shellStartMode for a hostname.
    `java.lang.String` | `removeSRss(java.lang.String hostname)` remove the attribute sRss for a hostname.
    `java.lang.String` | `removeSRt(java.lang.String hostname)` remove the attribute sRt for a hostname.
    `java.lang.String` | `removeSStack(java.lang.String hostname)` remove the attribute sStack for a hostname.
    `java.lang.String` | `removeStarterMethod(java.lang.String hostname)` remove the attribute starterMethod for a hostname.
    `boolean` | `removeSubordinate(java.lang.String hostname, Subordinate subordinate)` Remove a subordinate attribute for a hostname.
    `java.lang.Object` | `removeSubordinateAt(java.lang.String hostname, int index)` Remove a subordinate attribute for a hostname.
    `java.lang.String` | `removeSuspendInterval(java.lang.String hostname)` remove the attribute suspendInterval for a hostname.
    `java.lang.String` | `removeSuspendMethod(java.lang.String hostname)` remove the attribute suspendMethod for a hostname.
    `boolean` | `removeSuspendThresholds(java.lang.String hostname, ComplexEntry suspendThreshold)` Remove a suspendThreshold attribute for a hostname.
    `java.lang.Object` | `removeSuspendThresholdsAt(java.lang.String hostname, int index)` Remove a suspendThreshold attribute for a hostname.
    `java.lang.String` | `removeSVmem(java.lang.String hostname)` remove the attribute sVmem for a hostname.
    `java.lang.String` | `removeTerminateMethod(java.lang.String hostname)` remove the attribute terminateMethod for a hostname.
    `java.lang.String` | `removeTmpdir(java.lang.String hostname)` remove the attribute tmpdir for a hostname.
    `boolean` | `removeXacl(java.lang.String hostname, UserSet acl)` Remove a acl attribute for a hostname.
    `java.lang.Object` | `removeXaclAt(java.lang.String hostname, int index)` Remove a acl attribute for a hostname.
    `boolean` | `removeXprojects(java.lang.String hostname, Project project)` Remove a project attribute for a hostname.
    `java.lang.Object` | `removeXprojectsAt(java.lang.String hostname, int index)` Remove a project attribute for a hostname.
    `void` | `setAcl(java.lang.String hostname, int index, UserSet acl)` Set a acl attribute for a hostname.
    `void` | `setCkpt(java.lang.String hostname, int index, java.lang.String checkpoint)` Set a checkpoint attribute for a hostname.
    `void` | `setConsumableConfig(java.lang.String hostname, int index, ComplexEntry consumable)` Set a consumable attribute for a hostname.
    `void` | `setDefaultAcl(int index, UserSet acl)` Set `acl` attribute for the default `hostname` (@/).
    `void` | `setDefaultCalendar(java.lang.String calendar)` Set `calendar` attribute for the default `hostname` (@/).
    `void` | `setDefaultCkpt(int index, java.lang.String checkpoint)` Set `checkpoint` attribute for the default `hostname` (@/).
    `void` | `setDefaultConsumableConfig(int index, ComplexEntry consumable)` Set `consumable` attribute for the default `hostname` (@/).
    `void` | `setDefaultEpilog(java.lang.String epilog)` Set `epilog` attribute for the default `hostname` (@/).
    `void` | `setDefaultHCore(java.lang.String hCore)` Set `hCore` attribute for the default `hostname` (@/).
    `void` | `setDefaultHCpu(java.lang.String hCpu)` Set `hCpu` attribute for the default `hostname` (@/).
    `void` | `setDefaultHData(java.lang.String hData)` Set `hData` attribute for the default `hostname` (@/).
    `void` | `setDefaultHFsize(java.lang.String hFSize)` Set `hFSize` attribute for the default `hostname` (@/).
    `void` | `setDefaultHRss(java.lang.String hRss)` Set `hRss` attribute for the default `hostname` (@/).
    `void` | `setDefaultHRt(java.lang.String hRt)` Set `hRt` attribute for the default `hostname` (@/).
    `void` | `setDefaultHStack(java.lang.String hStack)` Set `hStack` attribute for the default `hostname` (@/).
    `void` | `setDefaultHVmem(java.lang.String hVmem)` Set `hVmem` attribute for the default `hostname` (@/).
    `void` | `setDefaultInitialState(java.lang.String initialState)` Set `initialState` attribute for the default `hostname` (@/).
    `void` | `setDefaultJobSlots(int jobSlots)` Set `jobSlots` attribute for the default `hostname` (@/).
    `void` | `setDefaultLoadThresholds(int index, ComplexEntry loadThreshold)` Set `loadThreshold` attribute for the default `hostname` (@/).
    `void` | `setDefaultMinCpuInterval(java.lang.String minCpuInterval)` Set `minCpuInterval` attribute for the default `hostname` (@/).
    `void` | `setDefaultNotify(java.lang.String notify)` Set `notify` attribute for the default `hostname` (@/).
    `void` | `setDefaultNsuspend(int nsuspend)` Set `nsuspend` attribute for the default `hostname` (@/).
    `void` | `setDefaultOwner(int index, UserSet owner)` Set `owner` attribute for the default `hostname` (@/).
    `void` | `setDefaultPe(int index, java.lang.String pe)` Set `pe` attribute for the default `hostname` (@/).
    `void` | `setDefaultPriority(java.lang.String priority)` Set `priority` attribute for the default `hostname` (@/).
    `void` | `setDefaultProcessors(java.lang.String processors)` Set `processors` attribute for the default `hostname` (@/).
    `void` | `setDefaultProjects(int index, Project project)` Set `project` attribute for the default `hostname` (@/).
    `void` | `setDefaultProlog(java.lang.String prolog)` Set `prolog` attribute for the default `hostname` (@/).
    `void` | `setDefaultQtype(int qType)` Set `qType` attribute for the default `hostname` (@/).
    `void` | `setDefaultRerun(boolean rerun)` Set `rerun` attribute for the default `hostname` (@/).
    `void` | `setDefaultResumeMethod(java.lang.String resumeMethod)` Set `resumeMethod` attribute for the default `hostname` (@/).
    `void` | `setDefaultSCore(java.lang.String sCore)` Set `sCore` attribute for the default `hostname` (@/).
    `void` | `setDefaultSCpu(java.lang.String sCpu)` Set `sCpu` attribute for the default `hostname` (@/).
    `void` | `setDefaultSData(java.lang.String sData)` Set `sData` attribute for the default `hostname` (@/).
    `void` | `setDefaultSeqNo(int seqNo)` Set `seqNo` attribute for the default `hostname` (@/).
    `void` | `setDefaultSFsize(java.lang.String sFSize)` Set `sFSize` attribute for the default `hostname` (@/).
    `void` | `setDefaultShell(java.lang.String shell)` Set `shell` attribute for the default `hostname` (@/).
    `void` | `setDefaultShellStartMode(java.lang.String shellStartMode)` Set `shellStartMode` attribute for the default `hostname` (@/).
    `void` | `setDefaultSRss(java.lang.String sRss)` Set `sRss` attribute for the default `hostname` (@/).
    `void` | `setDefaultSRt(java.lang.String sRt)` Set `sRt` attribute for the default `hostname` (@/).
    `void` | `setDefaultSStack(java.lang.String sStack)` Set `sStack` attribute for the default `hostname` (@/).
    `void` | `setDefaultStarterMethod(java.lang.String starterMethod)` Set `starterMethod` attribute for the default `hostname` (@/).
    `void` | `setDefaultSubordinate(int index, Subordinate subordinate)` Set `subordinate` attribute for the default `hostname` (@/).
    `void` | `setDefaultSuspendInterval(java.lang.String suspendInterval)` Set `suspendInterval` attribute for the default `hostname` (@/).
    `void` | `setDefaultSuspendMethod(java.lang.String suspendMethod)` Set `suspendMethod` attribute for the default `hostname` (@/).
    `void` | `setDefaultSuspendThresholds(int index, ComplexEntry suspendThreshold)` Set `suspendThreshold` attribute for the default `hostname` (@/).
    `void` | `setDefaultSVmem(java.lang.String sVmem)` Set `sVmem` attribute for the default `hostname` (@/).
    `void` | `setDefaultTerminateMethod(java.lang.String terminateMethod)` Set `terminateMethod` attribute for the default `hostname` (@/).
    `void` | `setDefaultTmpdir(java.lang.String tmpDir)` Set `tmpDir` attribute for the default `hostname` (@/).
    `void` | `setDefaultXacl(int index, UserSet acl)` Set `acl` attribute for the default `hostname` (@/).
    `void` | `setDefaultXprojects(int index, Project project)` Set `project` attribute for the default `hostname` (@/).
    `void` | `setHostlist(int index, java.lang.String ahostlist)` Set a java.lang.String attribute.
    `void` | `setLoadThresholds(java.lang.String hostname, int index, ComplexEntry loadThreshold)` Set a loadThreshold attribute for a hostname.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setOwner(java.lang.String hostname, int index, UserSet owner)` Set a owner attribute for a hostname.
    `void` | `setPe(java.lang.String hostname, int index, java.lang.String pe)` Set a pe attribute for a hostname.
    `void` | `setProjects(java.lang.String hostname, int index, Project project)` Set a project attribute for a hostname.
    `void` | `setQinstances(int index, QueueInstance aqinstances)` Set a com.sun.grid.jgdi.configuration.QueueInstance attribute.
    `void` | `setSubordinate(java.lang.String hostname, int index, Subordinate subordinate)` Set a subordinate attribute for a hostname.
    `void` | `setSuspendThresholds(java.lang.String hostname, int index, ComplexEntry suspendThreshold)` Set a suspendThreshold attribute for a hostname.
    `void` | `setTag(int aTag)` Set the tag attribute.
    `void` | `setXacl(java.lang.String hostname, int index, UserSet acl)` Set a acl attribute for a hostname.
    `void` | `setXprojects(java.lang.String hostname, int index, Project project)` Set a project attribute for a hostname.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### ClusterQueueImpl

          public ClusterQueueImpl()

      Create a new instance of ClusterQueueImpl. The new instance will not be initialized with the default values.

    - #### ClusterQueueImpl

          public ClusterQueueImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### ClusterQueueImpl

          public ClusterQueueImpl(java.lang.String name)

      Create a new instance of ClusterQueueImpl

  - ### Method Detail

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `ClusterQueue`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `ClusterQueue`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `ClusterQueue`
      Specified by:
        `getName` in interface `GEObject`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### addHostlist

          public void addHostlist(java.lang.String ahostlist)

      Add a java.lang.String attribute.
      Specified by:
        `addHostlist` in interface `ClusterQueue`
      Parameters:
        `ahostlist` - the new java.lang.String attribute

    - #### setHostlist

          public void setHostlist(int index,
                                  java.lang.String ahostlist)

      Set a java.lang.String attribute.
      Specified by:
        `setHostlist` in interface `ClusterQueue`
      Parameters:
        `index` - index of the java.lang.String attribute
        `ahostlist` - the new java.lang.String attribute

    - #### removeAllHostlist

          public void removeAllHostlist()

      Remove all java.lang.String attributes.
      Specified by:
        `removeAllHostlist` in interface `ClusterQueue`

    - #### removeHostlist

          public java.lang.String removeHostlist(int index)

      Remote a java.lang.String attribute at an index.
      Specified by:
        `removeHostlist` in interface `ClusterQueue`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeHostlist

          public boolean removeHostlist(java.lang.String ahostlist)

      Remote a specific java.lang.String attribute.
      Specified by:
        `removeHostlist` in interface `ClusterQueue`
      Parameters:
        `ahostlist` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### getHostlistList

          public java.util.List<java.lang.String> getHostlistList()

      Get a unmodifiable list of all java.lang.String attributes.
      Specified by:
        `getHostlistList` in interface `ClusterQueue`
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getHostlistCount

          public int getHostlistCount()

      Get the number of java.lang.String attributes.
      Specified by:
        `getHostlistCount` in interface `ClusterQueue`
      Returns:
        The number of java.lang.String attributes.

    - #### getHostlist

          public java.lang.String getHostlist(int index)

      Get a java.lang.String attribute at an index.
      Specified by:
        `getHostlist` in interface `ClusterQueue`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### isSetHostlist

          public boolean isSetHostlist()

      Determine if the hostlist attribute is set
      Specified by:
        `isSetHostlist` in interface `ClusterQueue`
      Returns:
        `true` if the hostlist attribute is set

    - #### addQinstances

          public void addQinstances(QueueInstance aqinstances)

      Add a com.sun.grid.jgdi.configuration.QueueInstance attribute.
      Parameters:
        `aqinstances` - the new com.sun.grid.jgdi.configuration.QueueInstance attribute

    - #### setQinstances

          public void setQinstances(int index,
                                    QueueInstance aqinstances)

      Set a com.sun.grid.jgdi.configuration.QueueInstance attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.QueueInstance attribute
        `aqinstances` - the new com.sun.grid.jgdi.configuration.QueueInstance attribute

    - #### removeAllQinstances

          public void removeAllQinstances()

      Remove all com.sun.grid.jgdi.configuration.QueueInstance attributes.

    - #### removeQinstances

          public QueueInstance removeQinstances(int index)

      Remote a com.sun.grid.jgdi.configuration.QueueInstance attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.QueueInstance attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.QueueInstance attribute or `null` if no attribute at this index is stored

    - #### removeQinstances

          public boolean removeQinstances(QueueInstance aqinstances)

      Remote a specific com.sun.grid.jgdi.configuration.QueueInstance attribute.
      Parameters:
        `aqinstances` - the com.sun.grid.jgdi.configuration.QueueInstance attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.QueueInstance attribute has been removed

    - #### getQinstancesList

          public java.util.List<QueueInstance> getQinstancesList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.QueueInstance attributes.
      Specified by:
        `getQinstancesList` in interface `ClusterQueue`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.QueueInstance attributes

    - #### getQinstancesCount

          public int getQinstancesCount()

      Get the number of com.sun.grid.jgdi.configuration.QueueInstance attributes.
      Specified by:
        `getQinstancesCount` in interface `ClusterQueue`
      Returns:
        The number of com.sun.grid.jgdi.configuration.QueueInstance attributes.

    - #### getQinstances

          public QueueInstance getQinstances(int index)

      Get a com.sun.grid.jgdi.configuration.QueueInstance attribute at an index.
      Specified by:
        `getQinstances` in interface `ClusterQueue`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.QueueInstance attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.QueueInstance attribute

    - #### isSetQinstances

          public boolean isSetQinstances()

      Determine if the qinstances attribute is set
      Specified by:
        `isSetQinstances` in interface `ClusterQueue`
      Returns:
        `true` if the qinstances attribute is set

    - #### putSeqNo

          public void putSeqNo(java.lang.String hostname,
                               int seqNo)

      Put the attribute seqNo for a hostname.

      Specified by:
        `putSeqNo` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `seqNo` - the seqNo

    - #### getDefaultSeqNo

          public int getDefaultSeqNo()

      Get the default value of the attribute seqNo.

      Specified by:
        `getDefaultSeqNo` in interface `ClusterQueue`
      Returns:
        the default value of the attribute seqNo
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSeqNo

          public int getSeqNo(java.lang.String hostname)

      Get the seqNo attribute for a hostname.

      Specified by:
        `getSeqNo` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the seqNo attribute for the host or the default value of seqNo

    - #### setDefaultSeqNo

          public void setDefaultSeqNo(int seqNo)

      Set `seqNo` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultSeqNo` in interface `ClusterQueue`
      Parameters:
        `seqNo` - the seqNo attribute

    - #### removeSeqNo

          public java.lang.Integer removeSeqNo(java.lang.String hostname)

      remove the attribute seqNo for a hostname.

      Specified by:
        `removeSeqNo` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the seqNo for the hostname or `null` if the seqNo attribute was not defined for the hostname.

    - #### removeAllSeqNo

          public void removeAllSeqNo()

      Remove the attribute seqNo for all hostnames.

      Specified by:
        `removeAllSeqNo` in interface `ClusterQueue`

    - #### getSeqNoKeys

          public java.util.Set<java.lang.String> getSeqNoKeys()

      Get the set of hostnames which have the attribute seqNo set.
      Specified by:
        `getSeqNoKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getSeqNoCount

          public int getSeqNoCount()

      Get the number of hostnames which have the attribute seqNo set.
      Specified by:
        `getSeqNoCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute seqNo set.

    - #### isSetSeqNo

          public boolean isSetSeqNo()

      Determine if any seqNo attribute is set
      Specified by:
        `isSetSeqNo` in interface `ClusterQueue`
      Returns:
        `true` if the seqNo attribute is set

    - #### isSetSeqNo

          public boolean isSetSeqNo(java.lang.String hostname)

      Determine if any seqNo attribute is for a hostname is set
      Specified by:
        `isSetSeqNo` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the seqNo attribute is set

    - #### putNsuspend

          public void putNsuspend(java.lang.String hostname,
                                  int nsuspend)

      Put the attribute nsuspend for a hostname.

      Specified by:
        `putNsuspend` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `nsuspend` - the nsuspend

    - #### getDefaultNsuspend

          public int getDefaultNsuspend()

      Get the default value of the attribute nsuspend.

      Specified by:
        `getDefaultNsuspend` in interface `ClusterQueue`
      Returns:
        the default value of the attribute nsuspend
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getNsuspend

          public int getNsuspend(java.lang.String hostname)

      Get the nsuspend attribute for a hostname.

      Specified by:
        `getNsuspend` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the nsuspend attribute for the host or the default value of nsuspend

    - #### setDefaultNsuspend

          public void setDefaultNsuspend(int nsuspend)

      Set `nsuspend` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultNsuspend` in interface `ClusterQueue`
      Parameters:
        `nsuspend` - the nsuspend attribute

    - #### removeNsuspend

          public java.lang.Integer removeNsuspend(java.lang.String hostname)

      remove the attribute nsuspend for a hostname.

      Specified by:
        `removeNsuspend` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the nsuspend for the hostname or `null` if the nsuspend attribute was not defined for the hostname.

    - #### removeAllNsuspend

          public void removeAllNsuspend()

      Remove the attribute nsuspend for all hostnames.

      Specified by:
        `removeAllNsuspend` in interface `ClusterQueue`

    - #### getNsuspendKeys

          public java.util.Set<java.lang.String> getNsuspendKeys()

      Get the set of hostnames which have the attribute nsuspend set.
      Specified by:
        `getNsuspendKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getNsuspendCount

          public int getNsuspendCount()

      Get the number of hostnames which have the attribute nsuspend set.
      Specified by:
        `getNsuspendCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute nsuspend set.

    - #### isSetNsuspend

          public boolean isSetNsuspend()

      Determine if any nsuspend attribute is set
      Specified by:
        `isSetNsuspend` in interface `ClusterQueue`
      Returns:
        `true` if the nsuspend attribute is set

    - #### isSetNsuspend

          public boolean isSetNsuspend(java.lang.String hostname)

      Determine if any nsuspend attribute is for a hostname is set
      Specified by:
        `isSetNsuspend` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the nsuspend attribute is set

    - #### putJobSlots

          public void putJobSlots(java.lang.String hostname,
                                  int jobSlots)

      Put the attribute jobSlots for a hostname.

      Specified by:
        `putJobSlots` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `jobSlots` - the jobSlots

    - #### getDefaultJobSlots

          public int getDefaultJobSlots()

      Get the default value of the attribute jobSlots.

      Specified by:
        `getDefaultJobSlots` in interface `ClusterQueue`
      Returns:
        the default value of the attribute jobSlots
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getJobSlots

          public int getJobSlots(java.lang.String hostname)

      Get the jobSlots attribute for a hostname.

      Specified by:
        `getJobSlots` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the jobSlots attribute for the host or the default value of jobSlots

    - #### setDefaultJobSlots

          public void setDefaultJobSlots(int jobSlots)

      Set `jobSlots` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultJobSlots` in interface `ClusterQueue`
      Parameters:
        `jobSlots` - the jobSlots attribute

    - #### removeJobSlots

          public java.lang.Integer removeJobSlots(java.lang.String hostname)

      remove the attribute jobSlots for a hostname.

      Specified by:
        `removeJobSlots` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the jobSlots for the hostname or `null` if the jobSlots attribute was not defined for the hostname.

    - #### removeAllJobSlots

          public void removeAllJobSlots()

      Remove the attribute jobSlots for all hostnames.

      Specified by:
        `removeAllJobSlots` in interface `ClusterQueue`

    - #### getJobSlotsKeys

          public java.util.Set<java.lang.String> getJobSlotsKeys()

      Get the set of hostnames which have the attribute jobSlots set.
      Specified by:
        `getJobSlotsKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getJobSlotsCount

          public int getJobSlotsCount()

      Get the number of hostnames which have the attribute jobSlots set.
      Specified by:
        `getJobSlotsCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute jobSlots set.

    - #### isSetJobSlots

          public boolean isSetJobSlots()

      Determine if any jobSlots attribute is set
      Specified by:
        `isSetJobSlots` in interface `ClusterQueue`
      Returns:
        `true` if the jobSlots attribute is set

    - #### isSetJobSlots

          public boolean isSetJobSlots(java.lang.String hostname)

      Determine if any jobSlots attribute is for a hostname is set
      Specified by:
        `isSetJobSlots` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the jobSlots attribute is set

    - #### putRerun

          public void putRerun(java.lang.String hostname,
                               boolean rerun)

      Put the attribute rerun for a hostname.

      Specified by:
        `putRerun` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `rerun` - the rerun

    - #### getDefaultRerun

          public boolean getDefaultRerun()

      Get the default value of the attribute rerun.

      Specified by:
        `getDefaultRerun` in interface `ClusterQueue`
      Returns:
        the default value of the attribute rerun
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getRerun

          public boolean getRerun(java.lang.String hostname)

      Get the rerun attribute for a hostname.

      Specified by:
        `getRerun` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the rerun attribute for the host or the default value of rerun

    - #### setDefaultRerun

          public void setDefaultRerun(boolean rerun)

      Set `rerun` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultRerun` in interface `ClusterQueue`
      Parameters:
        `rerun` - the rerun attribute

    - #### removeRerun

          public java.lang.Boolean removeRerun(java.lang.String hostname)

      remove the attribute rerun for a hostname.

      Specified by:
        `removeRerun` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the rerun for the hostname or `null` if the rerun attribute was not defined for the hostname.

    - #### removeAllRerun

          public void removeAllRerun()

      Remove the attribute rerun for all hostnames.

      Specified by:
        `removeAllRerun` in interface `ClusterQueue`

    - #### getRerunKeys

          public java.util.Set<java.lang.String> getRerunKeys()

      Get the set of hostnames which have the attribute rerun set.
      Specified by:
        `getRerunKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getRerunCount

          public int getRerunCount()

      Get the number of hostnames which have the attribute rerun set.
      Specified by:
        `getRerunCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute rerun set.

    - #### isSetRerun

          public boolean isSetRerun()

      Determine if any rerun attribute is set
      Specified by:
        `isSetRerun` in interface `ClusterQueue`
      Returns:
        `true` if the rerun attribute is set

    - #### isSetRerun

          public boolean isSetRerun(java.lang.String hostname)

      Determine if any rerun attribute is for a hostname is set
      Specified by:
        `isSetRerun` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the rerun attribute is set

    - #### putSFsize

          public void putSFsize(java.lang.String hostname,
                                java.lang.String sFSize)

      Put the attribute sFsize for a hostname.

      Specified by:
        `putSFsize` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `sFSize` - the sFSize

    - #### getDefaultSFsize

          public java.lang.String getDefaultSFsize()

      Get the default value of the attribute sFsize.

      Specified by:
        `getDefaultSFsize` in interface `ClusterQueue`
      Returns:
        the default value of the attribute sFsize
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSFsize

          public java.lang.String getSFsize(java.lang.String hostname)

      Get the sFsize attribute for a hostname.

      Specified by:
        `getSFsize` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the sFsize attribute for the host or the default value of sFsize

    - #### setDefaultSFsize

          public void setDefaultSFsize(java.lang.String sFSize)

      Set `sFSize` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultSFsize` in interface `ClusterQueue`
      Parameters:
        `sFSize` - the sFSize attribute

    - #### removeSFsize

          public java.lang.String removeSFsize(java.lang.String hostname)

      remove the attribute sFsize for a hostname.

      Specified by:
        `removeSFsize` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the sFSize for the hostname or `null` if the sFSize attribute was not defined for the hostname.

    - #### removeAllSFsize

          public void removeAllSFsize()

      Remove the attribute sFsize for all hostnames.

      Specified by:
        `removeAllSFsize` in interface `ClusterQueue`

    - #### getSFsizeKeys

          public java.util.Set<java.lang.String> getSFsizeKeys()

      Get the set of hostnames which have the attribute sFsize set.
      Specified by:
        `getSFsizeKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getSFsizeCount

          public int getSFsizeCount()

      Get the number of hostnames which have the attribute sFsize set.
      Specified by:
        `getSFsizeCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute sFsize set.

    - #### isSetSFsize

          public boolean isSetSFsize()

      Determine if any sFsize attribute is set
      Specified by:
        `isSetSFsize` in interface `ClusterQueue`
      Returns:
        `true` if the sFsize attribute is set

    - #### isSetSFsize

          public boolean isSetSFsize(java.lang.String hostname)

      Determine if any sFsize attribute is for a hostname is set
      Specified by:
        `isSetSFsize` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the sFsize attribute is set

    - #### putHFsize

          public void putHFsize(java.lang.String hostname,
                                java.lang.String hFSize)

      Put the attribute hFsize for a hostname.

      Specified by:
        `putHFsize` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `hFSize` - the hFSize

    - #### getDefaultHFsize

          public java.lang.String getDefaultHFsize()

      Get the default value of the attribute hFsize.

      Specified by:
        `getDefaultHFsize` in interface `ClusterQueue`
      Returns:
        the default value of the attribute hFsize
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getHFsize

          public java.lang.String getHFsize(java.lang.String hostname)

      Get the hFsize attribute for a hostname.

      Specified by:
        `getHFsize` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the hFsize attribute for the host or the default value of hFsize

    - #### setDefaultHFsize

          public void setDefaultHFsize(java.lang.String hFSize)

      Set `hFSize` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultHFsize` in interface `ClusterQueue`
      Parameters:
        `hFSize` - the hFSize attribute

    - #### removeHFsize

          public java.lang.String removeHFsize(java.lang.String hostname)

      remove the attribute hFsize for a hostname.

      Specified by:
        `removeHFsize` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the hFSize for the hostname or `null` if the hFSize attribute was not defined for the hostname.

    - #### removeAllHFsize

          public void removeAllHFsize()

      Remove the attribute hFsize for all hostnames.

      Specified by:
        `removeAllHFsize` in interface `ClusterQueue`

    - #### getHFsizeKeys

          public java.util.Set<java.lang.String> getHFsizeKeys()

      Get the set of hostnames which have the attribute hFsize set.
      Specified by:
        `getHFsizeKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getHFsizeCount

          public int getHFsizeCount()

      Get the number of hostnames which have the attribute hFsize set.
      Specified by:
        `getHFsizeCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute hFsize set.

    - #### isSetHFsize

          public boolean isSetHFsize()

      Determine if any hFsize attribute is set
      Specified by:
        `isSetHFsize` in interface `ClusterQueue`
      Returns:
        `true` if the hFsize attribute is set

    - #### isSetHFsize

          public boolean isSetHFsize(java.lang.String hostname)

      Determine if any hFsize attribute is for a hostname is set
      Specified by:
        `isSetHFsize` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the hFsize attribute is set

    - #### putSData

          public void putSData(java.lang.String hostname,
                               java.lang.String sData)

      Put the attribute sData for a hostname.

      Specified by:
        `putSData` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `sData` - the sData

    - #### getDefaultSData

          public java.lang.String getDefaultSData()

      Get the default value of the attribute sData.

      Specified by:
        `getDefaultSData` in interface `ClusterQueue`
      Returns:
        the default value of the attribute sData
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSData

          public java.lang.String getSData(java.lang.String hostname)

      Get the sData attribute for a hostname.

      Specified by:
        `getSData` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the sData attribute for the host or the default value of sData

    - #### setDefaultSData

          public void setDefaultSData(java.lang.String sData)

      Set `sData` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultSData` in interface `ClusterQueue`
      Parameters:
        `sData` - the sData attribute

    - #### removeSData

          public java.lang.String removeSData(java.lang.String hostname)

      remove the attribute sData for a hostname.

      Specified by:
        `removeSData` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the sData for the hostname or `null` if the sData attribute was not defined for the hostname.

    - #### removeAllSData

          public void removeAllSData()

      Remove the attribute sData for all hostnames.

      Specified by:
        `removeAllSData` in interface `ClusterQueue`

    - #### getSDataKeys

          public java.util.Set<java.lang.String> getSDataKeys()

      Get the set of hostnames which have the attribute sData set.
      Specified by:
        `getSDataKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getSDataCount

          public int getSDataCount()

      Get the number of hostnames which have the attribute sData set.
      Specified by:
        `getSDataCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute sData set.

    - #### isSetSData

          public boolean isSetSData()

      Determine if any sData attribute is set
      Specified by:
        `isSetSData` in interface `ClusterQueue`
      Returns:
        `true` if the sData attribute is set

    - #### isSetSData

          public boolean isSetSData(java.lang.String hostname)

      Determine if any sData attribute is for a hostname is set
      Specified by:
        `isSetSData` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the sData attribute is set

    - #### putHData

          public void putHData(java.lang.String hostname,
                               java.lang.String hData)

      Put the attribute hData for a hostname.

      Specified by:
        `putHData` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `hData` - the hData

    - #### getDefaultHData

          public java.lang.String getDefaultHData()

      Get the default value of the attribute hData.

      Specified by:
        `getDefaultHData` in interface `ClusterQueue`
      Returns:
        the default value of the attribute hData
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getHData

          public java.lang.String getHData(java.lang.String hostname)

      Get the hData attribute for a hostname.

      Specified by:
        `getHData` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the hData attribute for the host or the default value of hData

    - #### setDefaultHData

          public void setDefaultHData(java.lang.String hData)

      Set `hData` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultHData` in interface `ClusterQueue`
      Parameters:
        `hData` - the hData attribute

    - #### removeHData

          public java.lang.String removeHData(java.lang.String hostname)

      remove the attribute hData for a hostname.

      Specified by:
        `removeHData` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the hData for the hostname or `null` if the hData attribute was not defined for the hostname.

    - #### removeAllHData

          public void removeAllHData()

      Remove the attribute hData for all hostnames.

      Specified by:
        `removeAllHData` in interface `ClusterQueue`

    - #### getHDataKeys

          public java.util.Set<java.lang.String> getHDataKeys()

      Get the set of hostnames which have the attribute hData set.
      Specified by:
        `getHDataKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getHDataCount

          public int getHDataCount()

      Get the number of hostnames which have the attribute hData set.
      Specified by:
        `getHDataCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute hData set.

    - #### isSetHData

          public boolean isSetHData()

      Determine if any hData attribute is set
      Specified by:
        `isSetHData` in interface `ClusterQueue`
      Returns:
        `true` if the hData attribute is set

    - #### isSetHData

          public boolean isSetHData(java.lang.String hostname)

      Determine if any hData attribute is for a hostname is set
      Specified by:
        `isSetHData` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the hData attribute is set

    - #### putSStack

          public void putSStack(java.lang.String hostname,
                                java.lang.String sStack)

      Put the attribute sStack for a hostname.

      Specified by:
        `putSStack` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `sStack` - the sStack

    - #### getDefaultSStack

          public java.lang.String getDefaultSStack()

      Get the default value of the attribute sStack.

      Specified by:
        `getDefaultSStack` in interface `ClusterQueue`
      Returns:
        the default value of the attribute sStack
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSStack

          public java.lang.String getSStack(java.lang.String hostname)

      Get the sStack attribute for a hostname.

      Specified by:
        `getSStack` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the sStack attribute for the host or the default value of sStack

    - #### setDefaultSStack

          public void setDefaultSStack(java.lang.String sStack)

      Set `sStack` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultSStack` in interface `ClusterQueue`
      Parameters:
        `sStack` - the sStack attribute

    - #### removeSStack

          public java.lang.String removeSStack(java.lang.String hostname)

      remove the attribute sStack for a hostname.

      Specified by:
        `removeSStack` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the sStack for the hostname or `null` if the sStack attribute was not defined for the hostname.

    - #### removeAllSStack

          public void removeAllSStack()

      Remove the attribute sStack for all hostnames.

      Specified by:
        `removeAllSStack` in interface `ClusterQueue`

    - #### getSStackKeys

          public java.util.Set<java.lang.String> getSStackKeys()

      Get the set of hostnames which have the attribute sStack set.
      Specified by:
        `getSStackKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getSStackCount

          public int getSStackCount()

      Get the number of hostnames which have the attribute sStack set.
      Specified by:
        `getSStackCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute sStack set.

    - #### isSetSStack

          public boolean isSetSStack()

      Determine if any sStack attribute is set
      Specified by:
        `isSetSStack` in interface `ClusterQueue`
      Returns:
        `true` if the sStack attribute is set

    - #### isSetSStack

          public boolean isSetSStack(java.lang.String hostname)

      Determine if any sStack attribute is for a hostname is set
      Specified by:
        `isSetSStack` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the sStack attribute is set

    - #### putHStack

          public void putHStack(java.lang.String hostname,
                                java.lang.String hStack)

      Put the attribute hStack for a hostname.

      Specified by:
        `putHStack` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `hStack` - the hStack

    - #### getDefaultHStack

          public java.lang.String getDefaultHStack()

      Get the default value of the attribute hStack.

      Specified by:
        `getDefaultHStack` in interface `ClusterQueue`
      Returns:
        the default value of the attribute hStack
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getHStack

          public java.lang.String getHStack(java.lang.String hostname)

      Get the hStack attribute for a hostname.

      Specified by:
        `getHStack` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the hStack attribute for the host or the default value of hStack

    - #### setDefaultHStack

          public void setDefaultHStack(java.lang.String hStack)

      Set `hStack` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultHStack` in interface `ClusterQueue`
      Parameters:
        `hStack` - the hStack attribute

    - #### removeHStack

          public java.lang.String removeHStack(java.lang.String hostname)

      remove the attribute hStack for a hostname.

      Specified by:
        `removeHStack` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the hStack for the hostname or `null` if the hStack attribute was not defined for the hostname.

    - #### removeAllHStack

          public void removeAllHStack()

      Remove the attribute hStack for all hostnames.

      Specified by:
        `removeAllHStack` in interface `ClusterQueue`

    - #### getHStackKeys

          public java.util.Set<java.lang.String> getHStackKeys()

      Get the set of hostnames which have the attribute hStack set.
      Specified by:
        `getHStackKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getHStackCount

          public int getHStackCount()

      Get the number of hostnames which have the attribute hStack set.
      Specified by:
        `getHStackCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute hStack set.

    - #### isSetHStack

          public boolean isSetHStack()

      Determine if any hStack attribute is set
      Specified by:
        `isSetHStack` in interface `ClusterQueue`
      Returns:
        `true` if the hStack attribute is set

    - #### isSetHStack

          public boolean isSetHStack(java.lang.String hostname)

      Determine if any hStack attribute is for a hostname is set
      Specified by:
        `isSetHStack` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the hStack attribute is set

    - #### putSCore

          public void putSCore(java.lang.String hostname,
                               java.lang.String sCore)

      Put the attribute sCore for a hostname.

      Specified by:
        `putSCore` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `sCore` - the sCore

    - #### getDefaultSCore

          public java.lang.String getDefaultSCore()

      Get the default value of the attribute sCore.

      Specified by:
        `getDefaultSCore` in interface `ClusterQueue`
      Returns:
        the default value of the attribute sCore
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSCore

          public java.lang.String getSCore(java.lang.String hostname)

      Get the sCore attribute for a hostname.

      Specified by:
        `getSCore` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the sCore attribute for the host or the default value of sCore

    - #### setDefaultSCore

          public void setDefaultSCore(java.lang.String sCore)

      Set `sCore` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultSCore` in interface `ClusterQueue`
      Parameters:
        `sCore` - the sCore attribute

    - #### removeSCore

          public java.lang.String removeSCore(java.lang.String hostname)

      remove the attribute sCore for a hostname.

      Specified by:
        `removeSCore` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the sCore for the hostname or `null` if the sCore attribute was not defined for the hostname.

    - #### removeAllSCore

          public void removeAllSCore()

      Remove the attribute sCore for all hostnames.

      Specified by:
        `removeAllSCore` in interface `ClusterQueue`

    - #### getSCoreKeys

          public java.util.Set<java.lang.String> getSCoreKeys()

      Get the set of hostnames which have the attribute sCore set.
      Specified by:
        `getSCoreKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getSCoreCount

          public int getSCoreCount()

      Get the number of hostnames which have the attribute sCore set.
      Specified by:
        `getSCoreCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute sCore set.

    - #### isSetSCore

          public boolean isSetSCore()

      Determine if any sCore attribute is set
      Specified by:
        `isSetSCore` in interface `ClusterQueue`
      Returns:
        `true` if the sCore attribute is set

    - #### isSetSCore

          public boolean isSetSCore(java.lang.String hostname)

      Determine if any sCore attribute is for a hostname is set
      Specified by:
        `isSetSCore` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the sCore attribute is set

    - #### putHCore

          public void putHCore(java.lang.String hostname,
                               java.lang.String hCore)

      Put the attribute hCore for a hostname.

      Specified by:
        `putHCore` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `hCore` - the hCore

    - #### getDefaultHCore

          public java.lang.String getDefaultHCore()

      Get the default value of the attribute hCore.

      Specified by:
        `getDefaultHCore` in interface `ClusterQueue`
      Returns:
        the default value of the attribute hCore
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getHCore

          public java.lang.String getHCore(java.lang.String hostname)

      Get the hCore attribute for a hostname.

      Specified by:
        `getHCore` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the hCore attribute for the host or the default value of hCore

    - #### setDefaultHCore

          public void setDefaultHCore(java.lang.String hCore)

      Set `hCore` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultHCore` in interface `ClusterQueue`
      Parameters:
        `hCore` - the hCore attribute

    - #### removeHCore

          public java.lang.String removeHCore(java.lang.String hostname)

      remove the attribute hCore for a hostname.

      Specified by:
        `removeHCore` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the hCore for the hostname or `null` if the hCore attribute was not defined for the hostname.

    - #### removeAllHCore

          public void removeAllHCore()

      Remove the attribute hCore for all hostnames.

      Specified by:
        `removeAllHCore` in interface `ClusterQueue`

    - #### getHCoreKeys

          public java.util.Set<java.lang.String> getHCoreKeys()

      Get the set of hostnames which have the attribute hCore set.
      Specified by:
        `getHCoreKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getHCoreCount

          public int getHCoreCount()

      Get the number of hostnames which have the attribute hCore set.
      Specified by:
        `getHCoreCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute hCore set.

    - #### isSetHCore

          public boolean isSetHCore()

      Determine if any hCore attribute is set
      Specified by:
        `isSetHCore` in interface `ClusterQueue`
      Returns:
        `true` if the hCore attribute is set

    - #### isSetHCore

          public boolean isSetHCore(java.lang.String hostname)

      Determine if any hCore attribute is for a hostname is set
      Specified by:
        `isSetHCore` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the hCore attribute is set

    - #### putSRss

          public void putSRss(java.lang.String hostname,
                              java.lang.String sRss)

      Put the attribute sRss for a hostname.

      Specified by:
        `putSRss` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `sRss` - the sRss

    - #### getDefaultSRss

          public java.lang.String getDefaultSRss()

      Get the default value of the attribute sRss.

      Specified by:
        `getDefaultSRss` in interface `ClusterQueue`
      Returns:
        the default value of the attribute sRss
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSRss

          public java.lang.String getSRss(java.lang.String hostname)

      Get the sRss attribute for a hostname.

      Specified by:
        `getSRss` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the sRss attribute for the host or the default value of sRss

    - #### setDefaultSRss

          public void setDefaultSRss(java.lang.String sRss)

      Set `sRss` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultSRss` in interface `ClusterQueue`
      Parameters:
        `sRss` - the sRss attribute

    - #### removeSRss

          public java.lang.String removeSRss(java.lang.String hostname)

      remove the attribute sRss for a hostname.

      Specified by:
        `removeSRss` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the sRss for the hostname or `null` if the sRss attribute was not defined for the hostname.

    - #### removeAllSRss

          public void removeAllSRss()

      Remove the attribute sRss for all hostnames.

      Specified by:
        `removeAllSRss` in interface `ClusterQueue`

    - #### getSRssKeys

          public java.util.Set<java.lang.String> getSRssKeys()

      Get the set of hostnames which have the attribute sRss set.
      Specified by:
        `getSRssKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getSRssCount

          public int getSRssCount()

      Get the number of hostnames which have the attribute sRss set.
      Specified by:
        `getSRssCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute sRss set.

    - #### isSetSRss

          public boolean isSetSRss()

      Determine if any sRss attribute is set
      Specified by:
        `isSetSRss` in interface `ClusterQueue`
      Returns:
        `true` if the sRss attribute is set

    - #### isSetSRss

          public boolean isSetSRss(java.lang.String hostname)

      Determine if any sRss attribute is for a hostname is set
      Specified by:
        `isSetSRss` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the sRss attribute is set

    - #### putHRss

          public void putHRss(java.lang.String hostname,
                              java.lang.String hRss)

      Put the attribute hRss for a hostname.

      Specified by:
        `putHRss` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `hRss` - the hRss

    - #### getDefaultHRss

          public java.lang.String getDefaultHRss()

      Get the default value of the attribute hRss.

      Specified by:
        `getDefaultHRss` in interface `ClusterQueue`
      Returns:
        the default value of the attribute hRss
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getHRss

          public java.lang.String getHRss(java.lang.String hostname)

      Get the hRss attribute for a hostname.

      Specified by:
        `getHRss` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the hRss attribute for the host or the default value of hRss

    - #### setDefaultHRss

          public void setDefaultHRss(java.lang.String hRss)

      Set `hRss` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultHRss` in interface `ClusterQueue`
      Parameters:
        `hRss` - the hRss attribute

    - #### removeHRss

          public java.lang.String removeHRss(java.lang.String hostname)

      remove the attribute hRss for a hostname.

      Specified by:
        `removeHRss` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the hRss for the hostname or `null` if the hRss attribute was not defined for the hostname.

    - #### removeAllHRss

          public void removeAllHRss()

      Remove the attribute hRss for all hostnames.

      Specified by:
        `removeAllHRss` in interface `ClusterQueue`

    - #### getHRssKeys

          public java.util.Set<java.lang.String> getHRssKeys()

      Get the set of hostnames which have the attribute hRss set.
      Specified by:
        `getHRssKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getHRssCount

          public int getHRssCount()

      Get the number of hostnames which have the attribute hRss set.
      Specified by:
        `getHRssCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute hRss set.

    - #### isSetHRss

          public boolean isSetHRss()

      Determine if any hRss attribute is set
      Specified by:
        `isSetHRss` in interface `ClusterQueue`
      Returns:
        `true` if the hRss attribute is set

    - #### isSetHRss

          public boolean isSetHRss(java.lang.String hostname)

      Determine if any hRss attribute is for a hostname is set
      Specified by:
        `isSetHRss` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the hRss attribute is set

    - #### putSVmem

          public void putSVmem(java.lang.String hostname,
                               java.lang.String sVmem)

      Put the attribute sVmem for a hostname.

      Specified by:
        `putSVmem` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `sVmem` - the sVmem

    - #### getDefaultSVmem

          public java.lang.String getDefaultSVmem()

      Get the default value of the attribute sVmem.

      Specified by:
        `getDefaultSVmem` in interface `ClusterQueue`
      Returns:
        the default value of the attribute sVmem
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSVmem

          public java.lang.String getSVmem(java.lang.String hostname)

      Get the sVmem attribute for a hostname.

      Specified by:
        `getSVmem` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the sVmem attribute for the host or the default value of sVmem

    - #### setDefaultSVmem

          public void setDefaultSVmem(java.lang.String sVmem)

      Set `sVmem` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultSVmem` in interface `ClusterQueue`
      Parameters:
        `sVmem` - the sVmem attribute

    - #### removeSVmem

          public java.lang.String removeSVmem(java.lang.String hostname)

      remove the attribute sVmem for a hostname.

      Specified by:
        `removeSVmem` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the sVmem for the hostname or `null` if the sVmem attribute was not defined for the hostname.

    - #### removeAllSVmem

          public void removeAllSVmem()

      Remove the attribute sVmem for all hostnames.

      Specified by:
        `removeAllSVmem` in interface `ClusterQueue`

    - #### getSVmemKeys

          public java.util.Set<java.lang.String> getSVmemKeys()

      Get the set of hostnames which have the attribute sVmem set.
      Specified by:
        `getSVmemKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getSVmemCount

          public int getSVmemCount()

      Get the number of hostnames which have the attribute sVmem set.
      Specified by:
        `getSVmemCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute sVmem set.

    - #### isSetSVmem

          public boolean isSetSVmem()

      Determine if any sVmem attribute is set
      Specified by:
        `isSetSVmem` in interface `ClusterQueue`
      Returns:
        `true` if the sVmem attribute is set

    - #### isSetSVmem

          public boolean isSetSVmem(java.lang.String hostname)

      Determine if any sVmem attribute is for a hostname is set
      Specified by:
        `isSetSVmem` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the sVmem attribute is set

    - #### putHVmem

          public void putHVmem(java.lang.String hostname,
                               java.lang.String hVmem)

      Put the attribute hVmem for a hostname.

      Specified by:
        `putHVmem` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `hVmem` - the hVmem

    - #### getDefaultHVmem

          public java.lang.String getDefaultHVmem()

      Get the default value of the attribute hVmem.

      Specified by:
        `getDefaultHVmem` in interface `ClusterQueue`
      Returns:
        the default value of the attribute hVmem
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getHVmem

          public java.lang.String getHVmem(java.lang.String hostname)

      Get the hVmem attribute for a hostname.

      Specified by:
        `getHVmem` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the hVmem attribute for the host or the default value of hVmem

    - #### setDefaultHVmem

          public void setDefaultHVmem(java.lang.String hVmem)

      Set `hVmem` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultHVmem` in interface `ClusterQueue`
      Parameters:
        `hVmem` - the hVmem attribute

    - #### removeHVmem

          public java.lang.String removeHVmem(java.lang.String hostname)

      remove the attribute hVmem for a hostname.

      Specified by:
        `removeHVmem` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the hVmem for the hostname or `null` if the hVmem attribute was not defined for the hostname.

    - #### removeAllHVmem

          public void removeAllHVmem()

      Remove the attribute hVmem for all hostnames.

      Specified by:
        `removeAllHVmem` in interface `ClusterQueue`

    - #### getHVmemKeys

          public java.util.Set<java.lang.String> getHVmemKeys()

      Get the set of hostnames which have the attribute hVmem set.
      Specified by:
        `getHVmemKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getHVmemCount

          public int getHVmemCount()

      Get the number of hostnames which have the attribute hVmem set.
      Specified by:
        `getHVmemCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute hVmem set.

    - #### isSetHVmem

          public boolean isSetHVmem()

      Determine if any hVmem attribute is set
      Specified by:
        `isSetHVmem` in interface `ClusterQueue`
      Returns:
        `true` if the hVmem attribute is set

    - #### isSetHVmem

          public boolean isSetHVmem(java.lang.String hostname)

      Determine if any hVmem attribute is for a hostname is set
      Specified by:
        `isSetHVmem` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the hVmem attribute is set

    - #### putSRt

          public void putSRt(java.lang.String hostname,
                             java.lang.String sRt)

      Put the attribute sRt for a hostname.

      Specified by:
        `putSRt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `sRt` - the sRt

    - #### getDefaultSRt

          public java.lang.String getDefaultSRt()

      Get the default value of the attribute sRt.

      Specified by:
        `getDefaultSRt` in interface `ClusterQueue`
      Returns:
        the default value of the attribute sRt
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSRt

          public java.lang.String getSRt(java.lang.String hostname)

      Get the sRt attribute for a hostname.

      Specified by:
        `getSRt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the sRt attribute for the host or the default value of sRt

    - #### setDefaultSRt

          public void setDefaultSRt(java.lang.String sRt)

      Set `sRt` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultSRt` in interface `ClusterQueue`
      Parameters:
        `sRt` - the sRt attribute

    - #### removeSRt

          public java.lang.String removeSRt(java.lang.String hostname)

      remove the attribute sRt for a hostname.

      Specified by:
        `removeSRt` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the sRt for the hostname or `null` if the sRt attribute was not defined for the hostname.

    - #### removeAllSRt

          public void removeAllSRt()

      Remove the attribute sRt for all hostnames.

      Specified by:
        `removeAllSRt` in interface `ClusterQueue`

    - #### getSRtKeys

          public java.util.Set<java.lang.String> getSRtKeys()

      Get the set of hostnames which have the attribute sRt set.
      Specified by:
        `getSRtKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getSRtCount

          public int getSRtCount()

      Get the number of hostnames which have the attribute sRt set.
      Specified by:
        `getSRtCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute sRt set.

    - #### isSetSRt

          public boolean isSetSRt()

      Determine if any sRt attribute is set
      Specified by:
        `isSetSRt` in interface `ClusterQueue`
      Returns:
        `true` if the sRt attribute is set

    - #### isSetSRt

          public boolean isSetSRt(java.lang.String hostname)

      Determine if any sRt attribute is for a hostname is set
      Specified by:
        `isSetSRt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the sRt attribute is set

    - #### putHRt

          public void putHRt(java.lang.String hostname,
                             java.lang.String hRt)

      Put the attribute hRt for a hostname.

      Specified by:
        `putHRt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `hRt` - the hRt

    - #### getDefaultHRt

          public java.lang.String getDefaultHRt()

      Get the default value of the attribute hRt.

      Specified by:
        `getDefaultHRt` in interface `ClusterQueue`
      Returns:
        the default value of the attribute hRt
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getHRt

          public java.lang.String getHRt(java.lang.String hostname)

      Get the hRt attribute for a hostname.

      Specified by:
        `getHRt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the hRt attribute for the host or the default value of hRt

    - #### setDefaultHRt

          public void setDefaultHRt(java.lang.String hRt)

      Set `hRt` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultHRt` in interface `ClusterQueue`
      Parameters:
        `hRt` - the hRt attribute

    - #### removeHRt

          public java.lang.String removeHRt(java.lang.String hostname)

      remove the attribute hRt for a hostname.

      Specified by:
        `removeHRt` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the hRt for the hostname or `null` if the hRt attribute was not defined for the hostname.

    - #### removeAllHRt

          public void removeAllHRt()

      Remove the attribute hRt for all hostnames.

      Specified by:
        `removeAllHRt` in interface `ClusterQueue`

    - #### getHRtKeys

          public java.util.Set<java.lang.String> getHRtKeys()

      Get the set of hostnames which have the attribute hRt set.
      Specified by:
        `getHRtKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getHRtCount

          public int getHRtCount()

      Get the number of hostnames which have the attribute hRt set.
      Specified by:
        `getHRtCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute hRt set.

    - #### isSetHRt

          public boolean isSetHRt()

      Determine if any hRt attribute is set
      Specified by:
        `isSetHRt` in interface `ClusterQueue`
      Returns:
        `true` if the hRt attribute is set

    - #### isSetHRt

          public boolean isSetHRt(java.lang.String hostname)

      Determine if any hRt attribute is for a hostname is set
      Specified by:
        `isSetHRt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the hRt attribute is set

    - #### putSCpu

          public void putSCpu(java.lang.String hostname,
                              java.lang.String sCpu)

      Put the attribute sCpu for a hostname.

      Specified by:
        `putSCpu` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `sCpu` - the sCpu

    - #### getDefaultSCpu

          public java.lang.String getDefaultSCpu()

      Get the default value of the attribute sCpu.

      Specified by:
        `getDefaultSCpu` in interface `ClusterQueue`
      Returns:
        the default value of the attribute sCpu
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSCpu

          public java.lang.String getSCpu(java.lang.String hostname)

      Get the sCpu attribute for a hostname.

      Specified by:
        `getSCpu` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the sCpu attribute for the host or the default value of sCpu

    - #### setDefaultSCpu

          public void setDefaultSCpu(java.lang.String sCpu)

      Set `sCpu` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultSCpu` in interface `ClusterQueue`
      Parameters:
        `sCpu` - the sCpu attribute

    - #### removeSCpu

          public java.lang.String removeSCpu(java.lang.String hostname)

      remove the attribute sCpu for a hostname.

      Specified by:
        `removeSCpu` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the sCpu for the hostname or `null` if the sCpu attribute was not defined for the hostname.

    - #### removeAllSCpu

          public void removeAllSCpu()

      Remove the attribute sCpu for all hostnames.

      Specified by:
        `removeAllSCpu` in interface `ClusterQueue`

    - #### getSCpuKeys

          public java.util.Set<java.lang.String> getSCpuKeys()

      Get the set of hostnames which have the attribute sCpu set.
      Specified by:
        `getSCpuKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getSCpuCount

          public int getSCpuCount()

      Get the number of hostnames which have the attribute sCpu set.
      Specified by:
        `getSCpuCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute sCpu set.

    - #### isSetSCpu

          public boolean isSetSCpu()

      Determine if any sCpu attribute is set
      Specified by:
        `isSetSCpu` in interface `ClusterQueue`
      Returns:
        `true` if the sCpu attribute is set

    - #### isSetSCpu

          public boolean isSetSCpu(java.lang.String hostname)

      Determine if any sCpu attribute is for a hostname is set
      Specified by:
        `isSetSCpu` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the sCpu attribute is set

    - #### putHCpu

          public void putHCpu(java.lang.String hostname,
                              java.lang.String hCpu)

      Put the attribute hCpu for a hostname.

      Specified by:
        `putHCpu` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `hCpu` - the hCpu

    - #### getDefaultHCpu

          public java.lang.String getDefaultHCpu()

      Get the default value of the attribute hCpu.

      Specified by:
        `getDefaultHCpu` in interface `ClusterQueue`
      Returns:
        the default value of the attribute hCpu
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getHCpu

          public java.lang.String getHCpu(java.lang.String hostname)

      Get the hCpu attribute for a hostname.

      Specified by:
        `getHCpu` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the hCpu attribute for the host or the default value of hCpu

    - #### setDefaultHCpu

          public void setDefaultHCpu(java.lang.String hCpu)

      Set `hCpu` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultHCpu` in interface `ClusterQueue`
      Parameters:
        `hCpu` - the hCpu attribute

    - #### removeHCpu

          public java.lang.String removeHCpu(java.lang.String hostname)

      remove the attribute hCpu for a hostname.

      Specified by:
        `removeHCpu` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the hCpu for the hostname or `null` if the hCpu attribute was not defined for the hostname.

    - #### removeAllHCpu

          public void removeAllHCpu()

      Remove the attribute hCpu for all hostnames.

      Specified by:
        `removeAllHCpu` in interface `ClusterQueue`

    - #### getHCpuKeys

          public java.util.Set<java.lang.String> getHCpuKeys()

      Get the set of hostnames which have the attribute hCpu set.
      Specified by:
        `getHCpuKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getHCpuCount

          public int getHCpuCount()

      Get the number of hostnames which have the attribute hCpu set.
      Specified by:
        `getHCpuCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute hCpu set.

    - #### isSetHCpu

          public boolean isSetHCpu()

      Determine if any hCpu attribute is set
      Specified by:
        `isSetHCpu` in interface `ClusterQueue`
      Returns:
        `true` if the hCpu attribute is set

    - #### isSetHCpu

          public boolean isSetHCpu(java.lang.String hostname)

      Determine if any hCpu attribute is for a hostname is set
      Specified by:
        `isSetHCpu` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the hCpu attribute is set

    - #### putSuspendInterval

          public void putSuspendInterval(java.lang.String hostname,
                                         java.lang.String suspendInterval)

      Put the attribute suspendInterval for a hostname.

      Specified by:
        `putSuspendInterval` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `suspendInterval` - the suspendInterval

    - #### getDefaultSuspendInterval

          public java.lang.String getDefaultSuspendInterval()

      Get the default value of the attribute suspendInterval.

      Specified by:
        `getDefaultSuspendInterval` in interface `ClusterQueue`
      Returns:
        the default value of the attribute suspendInterval
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSuspendInterval

          public java.lang.String getSuspendInterval(java.lang.String hostname)

      Get the suspendInterval attribute for a hostname.

      Specified by:
        `getSuspendInterval` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the suspendInterval attribute for the host or the default value of suspendInterval

    - #### setDefaultSuspendInterval

          public void setDefaultSuspendInterval(java.lang.String suspendInterval)

      Set `suspendInterval` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultSuspendInterval` in interface `ClusterQueue`
      Parameters:
        `suspendInterval` - the suspendInterval attribute

    - #### removeSuspendInterval

          public java.lang.String removeSuspendInterval(java.lang.String hostname)

      remove the attribute suspendInterval for a hostname.

      Specified by:
        `removeSuspendInterval` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the suspendInterval for the hostname or `null` if the suspendInterval attribute was not defined for the hostname.

    - #### removeAllSuspendInterval

          public void removeAllSuspendInterval()

      Remove the attribute suspendInterval for all hostnames.

      Specified by:
        `removeAllSuspendInterval` in interface `ClusterQueue`

    - #### getSuspendIntervalKeys

          public java.util.Set<java.lang.String> getSuspendIntervalKeys()

      Get the set of hostnames which have the attribute suspendInterval set.
      Specified by:
        `getSuspendIntervalKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getSuspendIntervalCount

          public int getSuspendIntervalCount()

      Get the number of hostnames which have the attribute suspendInterval set.
      Specified by:
        `getSuspendIntervalCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute suspendInterval set.

    - #### isSetSuspendInterval

          public boolean isSetSuspendInterval()

      Determine if any suspendInterval attribute is set
      Specified by:
        `isSetSuspendInterval` in interface `ClusterQueue`
      Returns:
        `true` if the suspendInterval attribute is set

    - #### isSetSuspendInterval

          public boolean isSetSuspendInterval(java.lang.String hostname)

      Determine if any suspendInterval attribute is for a hostname is set
      Specified by:
        `isSetSuspendInterval` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the suspendInterval attribute is set

    - #### putMinCpuInterval

          public void putMinCpuInterval(java.lang.String hostname,
                                        java.lang.String minCpuInterval)

      Put the attribute minCpuInterval for a hostname.

      Specified by:
        `putMinCpuInterval` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `minCpuInterval` - the minCpuInterval

    - #### getDefaultMinCpuInterval

          public java.lang.String getDefaultMinCpuInterval()

      Get the default value of the attribute minCpuInterval.

      Specified by:
        `getDefaultMinCpuInterval` in interface `ClusterQueue`
      Returns:
        the default value of the attribute minCpuInterval
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getMinCpuInterval

          public java.lang.String getMinCpuInterval(java.lang.String hostname)

      Get the minCpuInterval attribute for a hostname.

      Specified by:
        `getMinCpuInterval` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the minCpuInterval attribute for the host or the default value of minCpuInterval

    - #### setDefaultMinCpuInterval

          public void setDefaultMinCpuInterval(java.lang.String minCpuInterval)

      Set `minCpuInterval` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultMinCpuInterval` in interface `ClusterQueue`
      Parameters:
        `minCpuInterval` - the minCpuInterval attribute

    - #### removeMinCpuInterval

          public java.lang.String removeMinCpuInterval(java.lang.String hostname)

      remove the attribute minCpuInterval for a hostname.

      Specified by:
        `removeMinCpuInterval` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the minCpuInterval for the hostname or `null` if the minCpuInterval attribute was not defined for the hostname.

    - #### removeAllMinCpuInterval

          public void removeAllMinCpuInterval()

      Remove the attribute minCpuInterval for all hostnames.

      Specified by:
        `removeAllMinCpuInterval` in interface `ClusterQueue`

    - #### getMinCpuIntervalKeys

          public java.util.Set<java.lang.String> getMinCpuIntervalKeys()

      Get the set of hostnames which have the attribute minCpuInterval set.
      Specified by:
        `getMinCpuIntervalKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getMinCpuIntervalCount

          public int getMinCpuIntervalCount()

      Get the number of hostnames which have the attribute minCpuInterval set.
      Specified by:
        `getMinCpuIntervalCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute minCpuInterval set.

    - #### isSetMinCpuInterval

          public boolean isSetMinCpuInterval()

      Determine if any minCpuInterval attribute is set
      Specified by:
        `isSetMinCpuInterval` in interface `ClusterQueue`
      Returns:
        `true` if the minCpuInterval attribute is set

    - #### isSetMinCpuInterval

          public boolean isSetMinCpuInterval(java.lang.String hostname)

      Determine if any minCpuInterval attribute is for a hostname is set
      Specified by:
        `isSetMinCpuInterval` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the minCpuInterval attribute is set

    - #### putNotify

          public void putNotify(java.lang.String hostname,
                                java.lang.String notify)

      Put the attribute notify for a hostname.

      Specified by:
        `putNotify` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `notify` - the notify

    - #### getDefaultNotify

          public java.lang.String getDefaultNotify()

      Get the default value of the attribute notify.

      Specified by:
        `getDefaultNotify` in interface `ClusterQueue`
      Returns:
        the default value of the attribute notify
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getNotify

          public java.lang.String getNotify(java.lang.String hostname)

      Get the notify attribute for a hostname.

      Specified by:
        `getNotify` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the notify attribute for the host or the default value of notify

    - #### setDefaultNotify

          public void setDefaultNotify(java.lang.String notify)

      Set `notify` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultNotify` in interface `ClusterQueue`
      Parameters:
        `notify` - the notify attribute

    - #### removeNotify

          public java.lang.String removeNotify(java.lang.String hostname)

      remove the attribute notify for a hostname.

      Specified by:
        `removeNotify` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the notify for the hostname or `null` if the notify attribute was not defined for the hostname.

    - #### removeAllNotify

          public void removeAllNotify()

      Remove the attribute notify for all hostnames.

      Specified by:
        `removeAllNotify` in interface `ClusterQueue`

    - #### getNotifyKeys

          public java.util.Set<java.lang.String> getNotifyKeys()

      Get the set of hostnames which have the attribute notify set.
      Specified by:
        `getNotifyKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getNotifyCount

          public int getNotifyCount()

      Get the number of hostnames which have the attribute notify set.
      Specified by:
        `getNotifyCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute notify set.

    - #### isSetNotify

          public boolean isSetNotify()

      Determine if any notify attribute is set
      Specified by:
        `isSetNotify` in interface `ClusterQueue`
      Returns:
        `true` if the notify attribute is set

    - #### isSetNotify

          public boolean isSetNotify(java.lang.String hostname)

      Determine if any notify attribute is for a hostname is set
      Specified by:
        `isSetNotify` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the notify attribute is set

    - #### putTmpdir

          public void putTmpdir(java.lang.String hostname,
                                java.lang.String tmpDir)

      Put the attribute tmpdir for a hostname.

      Specified by:
        `putTmpdir` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `tmpDir` - the tmpDir

    - #### getDefaultTmpdir

          public java.lang.String getDefaultTmpdir()

      Get the default value of the attribute tmpdir.

      Specified by:
        `getDefaultTmpdir` in interface `ClusterQueue`
      Returns:
        the default value of the attribute tmpdir
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getTmpdir

          public java.lang.String getTmpdir(java.lang.String hostname)

      Get the tmpdir attribute for a hostname.

      Specified by:
        `getTmpdir` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the tmpdir attribute for the host or the default value of tmpdir

    - #### setDefaultTmpdir

          public void setDefaultTmpdir(java.lang.String tmpDir)

      Set `tmpDir` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultTmpdir` in interface `ClusterQueue`
      Parameters:
        `tmpDir` - the tmpDir attribute

    - #### removeTmpdir

          public java.lang.String removeTmpdir(java.lang.String hostname)

      remove the attribute tmpdir for a hostname.

      Specified by:
        `removeTmpdir` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the tmpDir for the hostname or `null` if the tmpDir attribute was not defined for the hostname.

    - #### removeAllTmpdir

          public void removeAllTmpdir()

      Remove the attribute tmpdir for all hostnames.

      Specified by:
        `removeAllTmpdir` in interface `ClusterQueue`

    - #### getTmpdirKeys

          public java.util.Set<java.lang.String> getTmpdirKeys()

      Get the set of hostnames which have the attribute tmpdir set.
      Specified by:
        `getTmpdirKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getTmpdirCount

          public int getTmpdirCount()

      Get the number of hostnames which have the attribute tmpdir set.
      Specified by:
        `getTmpdirCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute tmpdir set.

    - #### isSetTmpdir

          public boolean isSetTmpdir()

      Determine if any tmpdir attribute is set
      Specified by:
        `isSetTmpdir` in interface `ClusterQueue`
      Returns:
        `true` if the tmpdir attribute is set

    - #### isSetTmpdir

          public boolean isSetTmpdir(java.lang.String hostname)

      Determine if any tmpdir attribute is for a hostname is set
      Specified by:
        `isSetTmpdir` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the tmpdir attribute is set

    - #### putShell

          public void putShell(java.lang.String hostname,
                               java.lang.String shell)

      Put the attribute shell for a hostname.

      Specified by:
        `putShell` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `shell` - the shell

    - #### getDefaultShell

          public java.lang.String getDefaultShell()

      Get the default value of the attribute shell.

      Specified by:
        `getDefaultShell` in interface `ClusterQueue`
      Returns:
        the default value of the attribute shell
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getShell

          public java.lang.String getShell(java.lang.String hostname)

      Get the shell attribute for a hostname.

      Specified by:
        `getShell` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the shell attribute for the host or the default value of shell

    - #### setDefaultShell

          public void setDefaultShell(java.lang.String shell)

      Set `shell` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultShell` in interface `ClusterQueue`
      Parameters:
        `shell` - the shell attribute

    - #### removeShell

          public java.lang.String removeShell(java.lang.String hostname)

      remove the attribute shell for a hostname.

      Specified by:
        `removeShell` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the shell for the hostname or `null` if the shell attribute was not defined for the hostname.

    - #### removeAllShell

          public void removeAllShell()

      Remove the attribute shell for all hostnames.

      Specified by:
        `removeAllShell` in interface `ClusterQueue`

    - #### getShellKeys

          public java.util.Set<java.lang.String> getShellKeys()

      Get the set of hostnames which have the attribute shell set.
      Specified by:
        `getShellKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getShellCount

          public int getShellCount()

      Get the number of hostnames which have the attribute shell set.
      Specified by:
        `getShellCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute shell set.

    - #### isSetShell

          public boolean isSetShell()

      Determine if any shell attribute is set
      Specified by:
        `isSetShell` in interface `ClusterQueue`
      Returns:
        `true` if the shell attribute is set

    - #### isSetShell

          public boolean isSetShell(java.lang.String hostname)

      Determine if any shell attribute is for a hostname is set
      Specified by:
        `isSetShell` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the shell attribute is set

    - #### putCalendar

          public void putCalendar(java.lang.String hostname,
                                  java.lang.String calendar)

      Put the attribute calendar for a hostname.

      Specified by:
        `putCalendar` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `calendar` - the calendar

    - #### getDefaultCalendar

          public java.lang.String getDefaultCalendar()

      Get the default value of the attribute calendar.

      Specified by:
        `getDefaultCalendar` in interface `ClusterQueue`
      Returns:
        the default value of the attribute calendar
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getCalendar

          public java.lang.String getCalendar(java.lang.String hostname)

      Get the calendar attribute for a hostname.

      Specified by:
        `getCalendar` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the calendar attribute for the host or the default value of calendar

    - #### setDefaultCalendar

          public void setDefaultCalendar(java.lang.String calendar)

      Set `calendar` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultCalendar` in interface `ClusterQueue`
      Parameters:
        `calendar` - the calendar attribute

    - #### removeCalendar

          public java.lang.String removeCalendar(java.lang.String hostname)

      remove the attribute calendar for a hostname.

      Specified by:
        `removeCalendar` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the calendar for the hostname or `null` if the calendar attribute was not defined for the hostname.

    - #### removeAllCalendar

          public void removeAllCalendar()

      Remove the attribute calendar for all hostnames.

      Specified by:
        `removeAllCalendar` in interface `ClusterQueue`

    - #### getCalendarKeys

          public java.util.Set<java.lang.String> getCalendarKeys()

      Get the set of hostnames which have the attribute calendar set.
      Specified by:
        `getCalendarKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getCalendarCount

          public int getCalendarCount()

      Get the number of hostnames which have the attribute calendar set.
      Specified by:
        `getCalendarCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute calendar set.

    - #### isSetCalendar

          public boolean isSetCalendar()

      Determine if any calendar attribute is set
      Specified by:
        `isSetCalendar` in interface `ClusterQueue`
      Returns:
        `true` if the calendar attribute is set

    - #### isSetCalendar

          public boolean isSetCalendar(java.lang.String hostname)

      Determine if any calendar attribute is for a hostname is set
      Specified by:
        `isSetCalendar` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the calendar attribute is set

    - #### putPriority

          public void putPriority(java.lang.String hostname,
                                  java.lang.String priority)

      Put the attribute priority for a hostname.

      Specified by:
        `putPriority` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `priority` - the priority

    - #### getDefaultPriority

          public java.lang.String getDefaultPriority()

      Get the default value of the attribute priority.

      Specified by:
        `getDefaultPriority` in interface `ClusterQueue`
      Returns:
        the default value of the attribute priority
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getPriority

          public java.lang.String getPriority(java.lang.String hostname)

      Get the priority attribute for a hostname.

      Specified by:
        `getPriority` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the priority attribute for the host or the default value of priority

    - #### setDefaultPriority

          public void setDefaultPriority(java.lang.String priority)

      Set `priority` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultPriority` in interface `ClusterQueue`
      Parameters:
        `priority` - the priority attribute

    - #### removePriority

          public java.lang.String removePriority(java.lang.String hostname)

      remove the attribute priority for a hostname.

      Specified by:
        `removePriority` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the priority for the hostname or `null` if the priority attribute was not defined for the hostname.

    - #### removeAllPriority

          public void removeAllPriority()

      Remove the attribute priority for all hostnames.

      Specified by:
        `removeAllPriority` in interface `ClusterQueue`

    - #### getPriorityKeys

          public java.util.Set<java.lang.String> getPriorityKeys()

      Get the set of hostnames which have the attribute priority set.
      Specified by:
        `getPriorityKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getPriorityCount

          public int getPriorityCount()

      Get the number of hostnames which have the attribute priority set.
      Specified by:
        `getPriorityCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute priority set.

    - #### isSetPriority

          public boolean isSetPriority()

      Determine if any priority attribute is set
      Specified by:
        `isSetPriority` in interface `ClusterQueue`
      Returns:
        `true` if the priority attribute is set

    - #### isSetPriority

          public boolean isSetPriority(java.lang.String hostname)

      Determine if any priority attribute is for a hostname is set
      Specified by:
        `isSetPriority` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the priority attribute is set

    - #### putProcessors

          public void putProcessors(java.lang.String hostname,
                                    java.lang.String processors)

      Put the attribute processors for a hostname.

      Specified by:
        `putProcessors` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `processors` - the processors

    - #### getDefaultProcessors

          public java.lang.String getDefaultProcessors()

      Get the default value of the attribute processors.

      Specified by:
        `getDefaultProcessors` in interface `ClusterQueue`
      Returns:
        the default value of the attribute processors
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getProcessors

          public java.lang.String getProcessors(java.lang.String hostname)

      Get the processors attribute for a hostname.

      Specified by:
        `getProcessors` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the processors attribute for the host or the default value of processors

    - #### setDefaultProcessors

          public void setDefaultProcessors(java.lang.String processors)

      Set `processors` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultProcessors` in interface `ClusterQueue`
      Parameters:
        `processors` - the processors attribute

    - #### removeProcessors

          public java.lang.String removeProcessors(java.lang.String hostname)

      remove the attribute processors for a hostname.

      Specified by:
        `removeProcessors` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the processors for the hostname or `null` if the processors attribute was not defined for the hostname.

    - #### removeAllProcessors

          public void removeAllProcessors()

      Remove the attribute processors for all hostnames.

      Specified by:
        `removeAllProcessors` in interface `ClusterQueue`

    - #### getProcessorsKeys

          public java.util.Set<java.lang.String> getProcessorsKeys()

      Get the set of hostnames which have the attribute processors set.
      Specified by:
        `getProcessorsKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getProcessorsCount

          public int getProcessorsCount()

      Get the number of hostnames which have the attribute processors set.
      Specified by:
        `getProcessorsCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute processors set.

    - #### isSetProcessors

          public boolean isSetProcessors()

      Determine if any processors attribute is set
      Specified by:
        `isSetProcessors` in interface `ClusterQueue`
      Returns:
        `true` if the processors attribute is set

    - #### isSetProcessors

          public boolean isSetProcessors(java.lang.String hostname)

      Determine if any processors attribute is for a hostname is set
      Specified by:
        `isSetProcessors` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the processors attribute is set

    - #### putProlog

          public void putProlog(java.lang.String hostname,
                                java.lang.String prolog)

      Put the attribute prolog for a hostname.

      Specified by:
        `putProlog` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `prolog` - the prolog

    - #### getDefaultProlog

          public java.lang.String getDefaultProlog()

      Get the default value of the attribute prolog.

      Specified by:
        `getDefaultProlog` in interface `ClusterQueue`
      Returns:
        the default value of the attribute prolog
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getProlog

          public java.lang.String getProlog(java.lang.String hostname)

      Get the prolog attribute for a hostname.

      Specified by:
        `getProlog` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the prolog attribute for the host or the default value of prolog

    - #### setDefaultProlog

          public void setDefaultProlog(java.lang.String prolog)

      Set `prolog` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultProlog` in interface `ClusterQueue`
      Parameters:
        `prolog` - the prolog attribute

    - #### removeProlog

          public java.lang.String removeProlog(java.lang.String hostname)

      remove the attribute prolog for a hostname.

      Specified by:
        `removeProlog` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the prolog for the hostname or `null` if the prolog attribute was not defined for the hostname.

    - #### removeAllProlog

          public void removeAllProlog()

      Remove the attribute prolog for all hostnames.

      Specified by:
        `removeAllProlog` in interface `ClusterQueue`

    - #### getPrologKeys

          public java.util.Set<java.lang.String> getPrologKeys()

      Get the set of hostnames which have the attribute prolog set.
      Specified by:
        `getPrologKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getPrologCount

          public int getPrologCount()

      Get the number of hostnames which have the attribute prolog set.
      Specified by:
        `getPrologCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute prolog set.

    - #### isSetProlog

          public boolean isSetProlog()

      Determine if any prolog attribute is set
      Specified by:
        `isSetProlog` in interface `ClusterQueue`
      Returns:
        `true` if the prolog attribute is set

    - #### isSetProlog

          public boolean isSetProlog(java.lang.String hostname)

      Determine if any prolog attribute is for a hostname is set
      Specified by:
        `isSetProlog` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the prolog attribute is set

    - #### putEpilog

          public void putEpilog(java.lang.String hostname,
                                java.lang.String epilog)

      Put the attribute epilog for a hostname.

      Specified by:
        `putEpilog` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `epilog` - the epilog

    - #### getDefaultEpilog

          public java.lang.String getDefaultEpilog()

      Get the default value of the attribute epilog.

      Specified by:
        `getDefaultEpilog` in interface `ClusterQueue`
      Returns:
        the default value of the attribute epilog
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getEpilog

          public java.lang.String getEpilog(java.lang.String hostname)

      Get the epilog attribute for a hostname.

      Specified by:
        `getEpilog` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the epilog attribute for the host or the default value of epilog

    - #### setDefaultEpilog

          public void setDefaultEpilog(java.lang.String epilog)

      Set `epilog` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultEpilog` in interface `ClusterQueue`
      Parameters:
        `epilog` - the epilog attribute

    - #### removeEpilog

          public java.lang.String removeEpilog(java.lang.String hostname)

      remove the attribute epilog for a hostname.

      Specified by:
        `removeEpilog` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the epilog for the hostname or `null` if the epilog attribute was not defined for the hostname.

    - #### removeAllEpilog

          public void removeAllEpilog()

      Remove the attribute epilog for all hostnames.

      Specified by:
        `removeAllEpilog` in interface `ClusterQueue`

    - #### getEpilogKeys

          public java.util.Set<java.lang.String> getEpilogKeys()

      Get the set of hostnames which have the attribute epilog set.
      Specified by:
        `getEpilogKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getEpilogCount

          public int getEpilogCount()

      Get the number of hostnames which have the attribute epilog set.
      Specified by:
        `getEpilogCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute epilog set.

    - #### isSetEpilog

          public boolean isSetEpilog()

      Determine if any epilog attribute is set
      Specified by:
        `isSetEpilog` in interface `ClusterQueue`
      Returns:
        `true` if the epilog attribute is set

    - #### isSetEpilog

          public boolean isSetEpilog(java.lang.String hostname)

      Determine if any epilog attribute is for a hostname is set
      Specified by:
        `isSetEpilog` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the epilog attribute is set

    - #### putShellStartMode

          public void putShellStartMode(java.lang.String hostname,
                                        java.lang.String shellStartMode)

      Put the attribute shellStartMode for a hostname.

      Specified by:
        `putShellStartMode` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `shellStartMode` - the shellStartMode

    - #### getDefaultShellStartMode

          public java.lang.String getDefaultShellStartMode()

      Get the default value of the attribute shellStartMode.

      Specified by:
        `getDefaultShellStartMode` in interface `ClusterQueue`
      Returns:
        the default value of the attribute shellStartMode
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getShellStartMode

          public java.lang.String getShellStartMode(java.lang.String hostname)

      Get the shellStartMode attribute for a hostname.

      Specified by:
        `getShellStartMode` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the shellStartMode attribute for the host or the default value of shellStartMode

    - #### setDefaultShellStartMode

          public void setDefaultShellStartMode(java.lang.String shellStartMode)

      Set `shellStartMode` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultShellStartMode` in interface `ClusterQueue`
      Parameters:
        `shellStartMode` - the shellStartMode attribute

    - #### removeShellStartMode

          public java.lang.String removeShellStartMode(java.lang.String hostname)

      remove the attribute shellStartMode for a hostname.

      Specified by:
        `removeShellStartMode` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the shellStartMode for the hostname or `null` if the shellStartMode attribute was not defined for the hostname.

    - #### removeAllShellStartMode

          public void removeAllShellStartMode()

      Remove the attribute shellStartMode for all hostnames.

      Specified by:
        `removeAllShellStartMode` in interface `ClusterQueue`

    - #### getShellStartModeKeys

          public java.util.Set<java.lang.String> getShellStartModeKeys()

      Get the set of hostnames which have the attribute shellStartMode set.
      Specified by:
        `getShellStartModeKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getShellStartModeCount

          public int getShellStartModeCount()

      Get the number of hostnames which have the attribute shellStartMode set.
      Specified by:
        `getShellStartModeCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute shellStartMode set.

    - #### isSetShellStartMode

          public boolean isSetShellStartMode()

      Determine if any shellStartMode attribute is set
      Specified by:
        `isSetShellStartMode` in interface `ClusterQueue`
      Returns:
        `true` if the shellStartMode attribute is set

    - #### isSetShellStartMode

          public boolean isSetShellStartMode(java.lang.String hostname)

      Determine if any shellStartMode attribute is for a hostname is set
      Specified by:
        `isSetShellStartMode` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the shellStartMode attribute is set

    - #### putStarterMethod

          public void putStarterMethod(java.lang.String hostname,
                                       java.lang.String starterMethod)

      Put the attribute starterMethod for a hostname.

      Specified by:
        `putStarterMethod` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `starterMethod` - the starterMethod

    - #### getDefaultStarterMethod

          public java.lang.String getDefaultStarterMethod()

      Get the default value of the attribute starterMethod.

      Specified by:
        `getDefaultStarterMethod` in interface `ClusterQueue`
      Returns:
        the default value of the attribute starterMethod
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getStarterMethod

          public java.lang.String getStarterMethod(java.lang.String hostname)

      Get the starterMethod attribute for a hostname.

      Specified by:
        `getStarterMethod` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the starterMethod attribute for the host or the default value of starterMethod

    - #### setDefaultStarterMethod

          public void setDefaultStarterMethod(java.lang.String starterMethod)

      Set `starterMethod` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultStarterMethod` in interface `ClusterQueue`
      Parameters:
        `starterMethod` - the starterMethod attribute

    - #### removeStarterMethod

          public java.lang.String removeStarterMethod(java.lang.String hostname)

      remove the attribute starterMethod for a hostname.

      Specified by:
        `removeStarterMethod` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the starterMethod for the hostname or `null` if the starterMethod attribute was not defined for the hostname.

    - #### removeAllStarterMethod

          public void removeAllStarterMethod()

      Remove the attribute starterMethod for all hostnames.

      Specified by:
        `removeAllStarterMethod` in interface `ClusterQueue`

    - #### getStarterMethodKeys

          public java.util.Set<java.lang.String> getStarterMethodKeys()

      Get the set of hostnames which have the attribute starterMethod set.
      Specified by:
        `getStarterMethodKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getStarterMethodCount

          public int getStarterMethodCount()

      Get the number of hostnames which have the attribute starterMethod set.
      Specified by:
        `getStarterMethodCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute starterMethod set.

    - #### isSetStarterMethod

          public boolean isSetStarterMethod()

      Determine if any starterMethod attribute is set
      Specified by:
        `isSetStarterMethod` in interface `ClusterQueue`
      Returns:
        `true` if the starterMethod attribute is set

    - #### isSetStarterMethod

          public boolean isSetStarterMethod(java.lang.String hostname)

      Determine if any starterMethod attribute is for a hostname is set
      Specified by:
        `isSetStarterMethod` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the starterMethod attribute is set

    - #### putSuspendMethod

          public void putSuspendMethod(java.lang.String hostname,
                                       java.lang.String suspendMethod)

      Put the attribute suspendMethod for a hostname.

      Specified by:
        `putSuspendMethod` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `suspendMethod` - the suspendMethod

    - #### getDefaultSuspendMethod

          public java.lang.String getDefaultSuspendMethod()

      Get the default value of the attribute suspendMethod.

      Specified by:
        `getDefaultSuspendMethod` in interface `ClusterQueue`
      Returns:
        the default value of the attribute suspendMethod
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSuspendMethod

          public java.lang.String getSuspendMethod(java.lang.String hostname)

      Get the suspendMethod attribute for a hostname.

      Specified by:
        `getSuspendMethod` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the suspendMethod attribute for the host or the default value of suspendMethod

    - #### setDefaultSuspendMethod

          public void setDefaultSuspendMethod(java.lang.String suspendMethod)

      Set `suspendMethod` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultSuspendMethod` in interface `ClusterQueue`
      Parameters:
        `suspendMethod` - the suspendMethod attribute

    - #### removeSuspendMethod

          public java.lang.String removeSuspendMethod(java.lang.String hostname)

      remove the attribute suspendMethod for a hostname.

      Specified by:
        `removeSuspendMethod` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the suspendMethod for the hostname or `null` if the suspendMethod attribute was not defined for the hostname.

    - #### removeAllSuspendMethod

          public void removeAllSuspendMethod()

      Remove the attribute suspendMethod for all hostnames.

      Specified by:
        `removeAllSuspendMethod` in interface `ClusterQueue`

    - #### getSuspendMethodKeys

          public java.util.Set<java.lang.String> getSuspendMethodKeys()

      Get the set of hostnames which have the attribute suspendMethod set.
      Specified by:
        `getSuspendMethodKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getSuspendMethodCount

          public int getSuspendMethodCount()

      Get the number of hostnames which have the attribute suspendMethod set.
      Specified by:
        `getSuspendMethodCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute suspendMethod set.

    - #### isSetSuspendMethod

          public boolean isSetSuspendMethod()

      Determine if any suspendMethod attribute is set
      Specified by:
        `isSetSuspendMethod` in interface `ClusterQueue`
      Returns:
        `true` if the suspendMethod attribute is set

    - #### isSetSuspendMethod

          public boolean isSetSuspendMethod(java.lang.String hostname)

      Determine if any suspendMethod attribute is for a hostname is set
      Specified by:
        `isSetSuspendMethod` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the suspendMethod attribute is set

    - #### putResumeMethod

          public void putResumeMethod(java.lang.String hostname,
                                      java.lang.String resumeMethod)

      Put the attribute resumeMethod for a hostname.

      Specified by:
        `putResumeMethod` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `resumeMethod` - the resumeMethod

    - #### getDefaultResumeMethod

          public java.lang.String getDefaultResumeMethod()

      Get the default value of the attribute resumeMethod.

      Specified by:
        `getDefaultResumeMethod` in interface `ClusterQueue`
      Returns:
        the default value of the attribute resumeMethod
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getResumeMethod

          public java.lang.String getResumeMethod(java.lang.String hostname)

      Get the resumeMethod attribute for a hostname.

      Specified by:
        `getResumeMethod` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the resumeMethod attribute for the host or the default value of resumeMethod

    - #### setDefaultResumeMethod

          public void setDefaultResumeMethod(java.lang.String resumeMethod)

      Set `resumeMethod` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultResumeMethod` in interface `ClusterQueue`
      Parameters:
        `resumeMethod` - the resumeMethod attribute

    - #### removeResumeMethod

          public java.lang.String removeResumeMethod(java.lang.String hostname)

      remove the attribute resumeMethod for a hostname.

      Specified by:
        `removeResumeMethod` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the resumeMethod for the hostname or `null` if the resumeMethod attribute was not defined for the hostname.

    - #### removeAllResumeMethod

          public void removeAllResumeMethod()

      Remove the attribute resumeMethod for all hostnames.

      Specified by:
        `removeAllResumeMethod` in interface `ClusterQueue`

    - #### getResumeMethodKeys

          public java.util.Set<java.lang.String> getResumeMethodKeys()

      Get the set of hostnames which have the attribute resumeMethod set.
      Specified by:
        `getResumeMethodKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getResumeMethodCount

          public int getResumeMethodCount()

      Get the number of hostnames which have the attribute resumeMethod set.
      Specified by:
        `getResumeMethodCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute resumeMethod set.

    - #### isSetResumeMethod

          public boolean isSetResumeMethod()

      Determine if any resumeMethod attribute is set
      Specified by:
        `isSetResumeMethod` in interface `ClusterQueue`
      Returns:
        `true` if the resumeMethod attribute is set

    - #### isSetResumeMethod

          public boolean isSetResumeMethod(java.lang.String hostname)

      Determine if any resumeMethod attribute is for a hostname is set
      Specified by:
        `isSetResumeMethod` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the resumeMethod attribute is set

    - #### putTerminateMethod

          public void putTerminateMethod(java.lang.String hostname,
                                         java.lang.String terminateMethod)

      Put the attribute terminateMethod for a hostname.

      Specified by:
        `putTerminateMethod` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `terminateMethod` - the terminateMethod

    - #### getDefaultTerminateMethod

          public java.lang.String getDefaultTerminateMethod()

      Get the default value of the attribute terminateMethod.

      Specified by:
        `getDefaultTerminateMethod` in interface `ClusterQueue`
      Returns:
        the default value of the attribute terminateMethod
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getTerminateMethod

          public java.lang.String getTerminateMethod(java.lang.String hostname)

      Get the terminateMethod attribute for a hostname.

      Specified by:
        `getTerminateMethod` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the terminateMethod attribute for the host or the default value of terminateMethod

    - #### setDefaultTerminateMethod

          public void setDefaultTerminateMethod(java.lang.String terminateMethod)

      Set `terminateMethod` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultTerminateMethod` in interface `ClusterQueue`
      Parameters:
        `terminateMethod` - the terminateMethod attribute

    - #### removeTerminateMethod

          public java.lang.String removeTerminateMethod(java.lang.String hostname)

      remove the attribute terminateMethod for a hostname.

      Specified by:
        `removeTerminateMethod` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the terminateMethod for the hostname or `null` if the terminateMethod attribute was not defined for the hostname.

    - #### removeAllTerminateMethod

          public void removeAllTerminateMethod()

      Remove the attribute terminateMethod for all hostnames.

      Specified by:
        `removeAllTerminateMethod` in interface `ClusterQueue`

    - #### getTerminateMethodKeys

          public java.util.Set<java.lang.String> getTerminateMethodKeys()

      Get the set of hostnames which have the attribute terminateMethod set.
      Specified by:
        `getTerminateMethodKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getTerminateMethodCount

          public int getTerminateMethodCount()

      Get the number of hostnames which have the attribute terminateMethod set.
      Specified by:
        `getTerminateMethodCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute terminateMethod set.

    - #### isSetTerminateMethod

          public boolean isSetTerminateMethod()

      Determine if any terminateMethod attribute is set
      Specified by:
        `isSetTerminateMethod` in interface `ClusterQueue`
      Returns:
        `true` if the terminateMethod attribute is set

    - #### isSetTerminateMethod

          public boolean isSetTerminateMethod(java.lang.String hostname)

      Determine if any terminateMethod attribute is for a hostname is set
      Specified by:
        `isSetTerminateMethod` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the terminateMethod attribute is set

    - #### putInitialState

          public void putInitialState(java.lang.String hostname,
                                      java.lang.String initialState)

      Put the attribute initialState for a hostname.

      Specified by:
        `putInitialState` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `initialState` - the initialState

    - #### getDefaultInitialState

          public java.lang.String getDefaultInitialState()

      Get the default value of the attribute initialState.

      Specified by:
        `getDefaultInitialState` in interface `ClusterQueue`
      Returns:
        the default value of the attribute initialState
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getInitialState

          public java.lang.String getInitialState(java.lang.String hostname)

      Get the initialState attribute for a hostname.

      Specified by:
        `getInitialState` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the initialState attribute for the host or the default value of initialState

    - #### setDefaultInitialState

          public void setDefaultInitialState(java.lang.String initialState)

      Set `initialState` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultInitialState` in interface `ClusterQueue`
      Parameters:
        `initialState` - the initialState attribute

    - #### removeInitialState

          public java.lang.String removeInitialState(java.lang.String hostname)

      remove the attribute initialState for a hostname.

      Specified by:
        `removeInitialState` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the initialState for the hostname or `null` if the initialState attribute was not defined for the hostname.

    - #### removeAllInitialState

          public void removeAllInitialState()

      Remove the attribute initialState for all hostnames.

      Specified by:
        `removeAllInitialState` in interface `ClusterQueue`

    - #### getInitialStateKeys

          public java.util.Set<java.lang.String> getInitialStateKeys()

      Get the set of hostnames which have the attribute initialState set.
      Specified by:
        `getInitialStateKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getInitialStateCount

          public int getInitialStateCount()

      Get the number of hostnames which have the attribute initialState set.
      Specified by:
        `getInitialStateCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute initialState set.

    - #### isSetInitialState

          public boolean isSetInitialState()

      Determine if any initialState attribute is set
      Specified by:
        `isSetInitialState` in interface `ClusterQueue`
      Returns:
        `true` if the initialState attribute is set

    - #### isSetInitialState

          public boolean isSetInitialState(java.lang.String hostname)

      Determine if any initialState attribute is for a hostname is set
      Specified by:
        `isSetInitialState` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the initialState attribute is set

    - #### getPe

          public java.lang.String getPe(java.lang.String hostname,
                                        int index)

      Get the value of a hostname at an index.
      Specified by:
        `getPe` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getPeCount

          public int getPeCount(java.lang.String hostname)

      Get the number of values for a hostname
      Specified by:
        `getPeCount` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### addPe

          public void addPe(java.lang.String hostname,
                            java.lang.String pe)

      Add a pe attribute to a hostname.
      Specified by:
        `addPe` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `pe` - the pe attribute

    - #### addEmptyPe

          public void addEmptyPe(java.lang.String hostname)

      Initialize `pe` attribute for a `hostname` with an empty list.
      Specified by:
        `addEmptyPe` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### setPe

          public void setPe(java.lang.String hostname,
                            int index,
                            java.lang.String pe)

      Set a pe attribute for a hostname.
      Specified by:
        `setPe` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - index of the pe attribute
        `pe` - the pe attribute

    - #### removePeAt

          public java.lang.Object removePeAt(java.lang.String hostname,
                                             int index)

      Remove a pe attribute for a hostname.
      Specified by:
        `removePeAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the pe attribute
      Returns:
        the remove pe attribute of `null` if the attribute has not been found

    - #### removePe

          public boolean removePe(java.lang.String hostname,
                                  java.lang.String pe)

      Remove a pe attribute for a hostname.
      Specified by:
        `removePe` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `pe` - the pe) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllPe

          public void removeAllPe()

      Remove all pe) attributes.
      Specified by:
        `removeAllPe` in interface `ClusterQueue`

    - #### removeAllPe

          public void removeAllPe(java.lang.String hostname)

      Remove all pe) attributes for a hostname.
      Specified by:
        `removeAllPe` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### getPeKeys

          public java.util.Set<java.lang.String> getPeKeys()

      Get a unmodifiable set of stored pe attribute keys.
      Specified by:
        `getPeKeys` in interface `ClusterQueue`
      Returns:
        unmodifiable set of stored pe attribute keys

    - #### isSetPe

          public boolean isSetPe()

      Determine if the pe is set
      Specified by:
        `isSetPe` in interface `ClusterQueue`
      Returns:
        `true` if the pe attribute is set

    - #### getPeList

          public java.util.List getPeList(java.lang.String hostname)

      Get a unmodifiable list of pe attributes
      Specified by:
        `getPeList` in interface `ClusterQueue`
      Parameters:
        `hostname` - the key
      Returns:
        unmodifiable list of pe attributes

    - #### getDefaultPe

          public java.lang.String getDefaultPe(int index)

      Get the default value of the attribute pe. (@/)

      Specified by:
        `getDefaultPe` in interface `ClusterQueue`
      Returns:
        the default value of the attribute pe
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultPeCount

          public int getDefaultPeCount()

      Get the number of values for the default `hostname` (@/).
      Specified by:
        `getDefaultPeCount` in interface `ClusterQueue`

    - #### addDefaultPe

          public void addDefaultPe(java.lang.String pe)

      Add `pe` attribute to the default `hostname` (@/).
      Specified by:
        `addDefaultPe` in interface `ClusterQueue`
      Parameters:
        `pe` - the pe attribute

    - #### setDefaultPe

          public void setDefaultPe(int index,
                                   java.lang.String pe)

      Set `pe` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultPe` in interface `ClusterQueue`
      Parameters:
        `index` - index of the pe attribute
        `pe` - the pe attribute

    - #### removeDefaultPeAt

          public java.lang.Object removeDefaultPeAt(java.lang.String hostname,
                                                    int index)

      Remove `pe` attribute for the default `hostname` (@/).
      Specified by:
        `removeDefaultPeAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the pe attribute
      Returns:
        the remove pe attribute of `null` if the attribute has not been found

    - #### removeDefaultPe

          public boolean removeDefaultPe(java.lang.String hostname,
                                         java.lang.String pe)

      Remove `pe` attribute from the default `hostname` (@/).
      Specified by:
        `removeDefaultPe` in interface `ClusterQueue`
      Parameters:
        `pe` - the pe) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultPe

          public void removeAllDefaultPe()

      Remove all pe) attributes from the default `hostname` (@/).
      Specified by:
        `removeAllDefaultPe` in interface `ClusterQueue`

    - #### getCkpt

          public java.lang.String getCkpt(java.lang.String hostname,
                                          int index)

      Get the value of a hostname at an index.
      Specified by:
        `getCkpt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getCkptCount

          public int getCkptCount(java.lang.String hostname)

      Get the number of values for a hostname
      Specified by:
        `getCkptCount` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### addCkpt

          public void addCkpt(java.lang.String hostname,
                              java.lang.String checkpoint)

      Add a checkpoint attribute to a hostname.
      Specified by:
        `addCkpt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `checkpoint` - the checkpoint attribute

    - #### addEmptyCkpt

          public void addEmptyCkpt(java.lang.String hostname)

      Initialize `checkpoint` attribute for a `hostname` with an empty list.
      Specified by:
        `addEmptyCkpt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### setCkpt

          public void setCkpt(java.lang.String hostname,
                              int index,
                              java.lang.String checkpoint)

      Set a checkpoint attribute for a hostname.
      Specified by:
        `setCkpt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - index of the checkpoint attribute
        `checkpoint` - the checkpoint attribute

    - #### removeCkptAt

          public java.lang.Object removeCkptAt(java.lang.String hostname,
                                               int index)

      Remove a checkpoint attribute for a hostname.
      Specified by:
        `removeCkptAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the checkpoint attribute
      Returns:
        the remove checkpoint attribute of `null` if the attribute has not been found

    - #### removeCkpt

          public boolean removeCkpt(java.lang.String hostname,
                                    java.lang.String checkpoint)

      Remove a checkpoint attribute for a hostname.
      Specified by:
        `removeCkpt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `checkpoint` - the checkpoint) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllCkpt

          public void removeAllCkpt()

      Remove all checkpoint) attributes.
      Specified by:
        `removeAllCkpt` in interface `ClusterQueue`

    - #### removeAllCkpt

          public void removeAllCkpt(java.lang.String hostname)

      Remove all checkpoint) attributes for a hostname.
      Specified by:
        `removeAllCkpt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### getCkptKeys

          public java.util.Set<java.lang.String> getCkptKeys()

      Get a unmodifiable set of stored ckpt attribute keys.
      Specified by:
        `getCkptKeys` in interface `ClusterQueue`
      Returns:
        unmodifiable set of stored ckpt attribute keys

    - #### isSetCkpt

          public boolean isSetCkpt()

      Determine if the ckpt is set
      Specified by:
        `isSetCkpt` in interface `ClusterQueue`
      Returns:
        `true` if the ckpt attribute is set

    - #### getCkptList

          public java.util.List getCkptList(java.lang.String hostname)

      Get a unmodifiable list of ckpt attributes
      Specified by:
        `getCkptList` in interface `ClusterQueue`
      Parameters:
        `hostname` - the key
      Returns:
        unmodifiable list of ckpt attributes

    - #### getDefaultCkpt

          public java.lang.String getDefaultCkpt(int index)

      Get the default value of the attribute ckpt. (@/)

      Specified by:
        `getDefaultCkpt` in interface `ClusterQueue`
      Returns:
        the default value of the attribute ckpt
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultCkptCount

          public int getDefaultCkptCount()

      Get the number of values for the default `hostname` (@/).
      Specified by:
        `getDefaultCkptCount` in interface `ClusterQueue`

    - #### addDefaultCkpt

          public void addDefaultCkpt(java.lang.String checkpoint)

      Add `checkpoint` attribute to the default `hostname` (@/).
      Specified by:
        `addDefaultCkpt` in interface `ClusterQueue`
      Parameters:
        `checkpoint` - the checkpoint attribute

    - #### setDefaultCkpt

          public void setDefaultCkpt(int index,
                                     java.lang.String checkpoint)

      Set `checkpoint` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultCkpt` in interface `ClusterQueue`
      Parameters:
        `index` - index of the checkpoint attribute
        `checkpoint` - the checkpoint attribute

    - #### removeDefaultCkptAt

          public java.lang.Object removeDefaultCkptAt(java.lang.String hostname,
                                                      int index)

      Remove `checkpoint` attribute for the default `hostname` (@/).
      Specified by:
        `removeDefaultCkptAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the checkpoint attribute
      Returns:
        the remove checkpoint attribute of `null` if the attribute has not been found

    - #### removeDefaultCkpt

          public boolean removeDefaultCkpt(java.lang.String hostname,
                                           java.lang.String checkpoint)

      Remove `checkpoint` attribute from the default `hostname` (@/).
      Specified by:
        `removeDefaultCkpt` in interface `ClusterQueue`
      Parameters:
        `checkpoint` - the checkpoint) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultCkpt

          public void removeAllDefaultCkpt()

      Remove all checkpoint) attributes from the default `hostname` (@/).
      Specified by:
        `removeAllDefaultCkpt` in interface `ClusterQueue`

    - #### getOwner

          public UserSet getOwner(java.lang.String hostname,
                                  int index)

      Get the value of a hostname at an index.
      Specified by:
        `getOwner` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getOwnerCount

          public int getOwnerCount(java.lang.String hostname)

      Get the number of values for a hostname
      Specified by:
        `getOwnerCount` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### addOwner

          public void addOwner(java.lang.String hostname,
                               UserSet owner)

      Add a owner attribute to a hostname.
      Specified by:
        `addOwner` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `owner` - the owner attribute

    - #### addEmptyOwner

          public void addEmptyOwner(java.lang.String hostname)

      Initialize `owner` attribute for a `hostname` with an empty list.
      Specified by:
        `addEmptyOwner` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### setOwner

          public void setOwner(java.lang.String hostname,
                               int index,
                               UserSet owner)

      Set a owner attribute for a hostname.
      Specified by:
        `setOwner` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - index of the owner attribute
        `owner` - the owner attribute

    - #### removeOwnerAt

          public java.lang.Object removeOwnerAt(java.lang.String hostname,
                                                int index)

      Remove a owner attribute for a hostname.
      Specified by:
        `removeOwnerAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the owner attribute
      Returns:
        the remove owner attribute of `null` if the attribute has not been found

    - #### removeOwner

          public boolean removeOwner(java.lang.String hostname,
                                     UserSet owner)

      Remove a owner attribute for a hostname.
      Specified by:
        `removeOwner` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `owner` - the owner) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllOwner

          public void removeAllOwner()

      Remove all owner) attributes.
      Specified by:
        `removeAllOwner` in interface `ClusterQueue`

    - #### removeAllOwner

          public void removeAllOwner(java.lang.String hostname)

      Remove all owner) attributes for a hostname.
      Specified by:
        `removeAllOwner` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### getOwnerKeys

          public java.util.Set<java.lang.String> getOwnerKeys()

      Get a unmodifiable set of stored owner attribute keys.
      Specified by:
        `getOwnerKeys` in interface `ClusterQueue`
      Returns:
        unmodifiable set of stored owner attribute keys

    - #### isSetOwner

          public boolean isSetOwner()

      Determine if the owner is set
      Specified by:
        `isSetOwner` in interface `ClusterQueue`
      Returns:
        `true` if the owner attribute is set

    - #### getOwnerList

          public java.util.List getOwnerList(java.lang.String hostname)

      Get a unmodifiable list of owner attributes
      Specified by:
        `getOwnerList` in interface `ClusterQueue`
      Parameters:
        `hostname` - the key
      Returns:
        unmodifiable list of owner attributes

    - #### getDefaultOwner

          public UserSet getDefaultOwner(int index)

      Get the default value of the attribute owner. (@/)

      Specified by:
        `getDefaultOwner` in interface `ClusterQueue`
      Returns:
        the default value of the attribute owner
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultOwnerCount

          public int getDefaultOwnerCount()

      Get the number of values for the default `hostname` (@/).
      Specified by:
        `getDefaultOwnerCount` in interface `ClusterQueue`

    - #### addDefaultOwner

          public void addDefaultOwner(UserSet owner)

      Add `owner` attribute to the default `hostname` (@/).
      Specified by:
        `addDefaultOwner` in interface `ClusterQueue`
      Parameters:
        `owner` - the owner attribute

    - #### setDefaultOwner

          public void setDefaultOwner(int index,
                                      UserSet owner)

      Set `owner` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultOwner` in interface `ClusterQueue`
      Parameters:
        `index` - index of the owner attribute
        `owner` - the owner attribute

    - #### removeDefaultOwnerAt

          public java.lang.Object removeDefaultOwnerAt(java.lang.String hostname,
                                                       int index)

      Remove `owner` attribute for the default `hostname` (@/).
      Specified by:
        `removeDefaultOwnerAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the owner attribute
      Returns:
        the remove owner attribute of `null` if the attribute has not been found

    - #### removeDefaultOwner

          public boolean removeDefaultOwner(java.lang.String hostname,
                                            UserSet owner)

      Remove `owner` attribute from the default `hostname` (@/).
      Specified by:
        `removeDefaultOwner` in interface `ClusterQueue`
      Parameters:
        `owner` - the owner) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultOwner

          public void removeAllDefaultOwner()

      Remove all owner) attributes from the default `hostname` (@/).
      Specified by:
        `removeAllDefaultOwner` in interface `ClusterQueue`

    - #### getAcl

          public UserSet getAcl(java.lang.String hostname,
                                int index)

      Get the value of a hostname at an index.
      Specified by:
        `getAcl` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getAclCount

          public int getAclCount(java.lang.String hostname)

      Get the number of values for a hostname
      Specified by:
        `getAclCount` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### addAcl

          public void addAcl(java.lang.String hostname,
                             UserSet acl)

      Add a acl attribute to a hostname.
      Specified by:
        `addAcl` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `acl` - the acl attribute

    - #### addEmptyAcl

          public void addEmptyAcl(java.lang.String hostname)

      Initialize `acl` attribute for a `hostname` with an empty list.
      Specified by:
        `addEmptyAcl` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### setAcl

          public void setAcl(java.lang.String hostname,
                             int index,
                             UserSet acl)

      Set a acl attribute for a hostname.
      Specified by:
        `setAcl` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - index of the acl attribute
        `acl` - the acl attribute

    - #### removeAclAt

          public java.lang.Object removeAclAt(java.lang.String hostname,
                                              int index)

      Remove a acl attribute for a hostname.
      Specified by:
        `removeAclAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the acl attribute
      Returns:
        the remove acl attribute of `null` if the attribute has not been found

    - #### removeAcl

          public boolean removeAcl(java.lang.String hostname,
                                   UserSet acl)

      Remove a acl attribute for a hostname.
      Specified by:
        `removeAcl` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `acl` - the acl) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllAcl

          public void removeAllAcl()

      Remove all acl) attributes.
      Specified by:
        `removeAllAcl` in interface `ClusterQueue`

    - #### removeAllAcl

          public void removeAllAcl(java.lang.String hostname)

      Remove all acl) attributes for a hostname.
      Specified by:
        `removeAllAcl` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### getAclKeys

          public java.util.Set<java.lang.String> getAclKeys()

      Get a unmodifiable set of stored acl attribute keys.
      Specified by:
        `getAclKeys` in interface `ClusterQueue`
      Returns:
        unmodifiable set of stored acl attribute keys

    - #### isSetAcl

          public boolean isSetAcl()

      Determine if the acl is set
      Specified by:
        `isSetAcl` in interface `ClusterQueue`
      Returns:
        `true` if the acl attribute is set

    - #### getAclList

          public java.util.List getAclList(java.lang.String hostname)

      Get a unmodifiable list of acl attributes
      Specified by:
        `getAclList` in interface `ClusterQueue`
      Parameters:
        `hostname` - the key
      Returns:
        unmodifiable list of acl attributes

    - #### getDefaultAcl

          public UserSet getDefaultAcl(int index)

      Get the default value of the attribute acl. (@/)

      Specified by:
        `getDefaultAcl` in interface `ClusterQueue`
      Returns:
        the default value of the attribute acl
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultAclCount

          public int getDefaultAclCount()

      Get the number of values for the default `hostname` (@/).
      Specified by:
        `getDefaultAclCount` in interface `ClusterQueue`

    - #### addDefaultAcl

          public void addDefaultAcl(UserSet acl)

      Add `acl` attribute to the default `hostname` (@/).
      Specified by:
        `addDefaultAcl` in interface `ClusterQueue`
      Parameters:
        `acl` - the acl attribute

    - #### setDefaultAcl

          public void setDefaultAcl(int index,
                                    UserSet acl)

      Set `acl` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultAcl` in interface `ClusterQueue`
      Parameters:
        `index` - index of the acl attribute
        `acl` - the acl attribute

    - #### removeDefaultAclAt

          public java.lang.Object removeDefaultAclAt(java.lang.String hostname,
                                                     int index)

      Remove `acl` attribute for the default `hostname` (@/).
      Specified by:
        `removeDefaultAclAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the acl attribute
      Returns:
        the remove acl attribute of `null` if the attribute has not been found

    - #### removeDefaultAcl

          public boolean removeDefaultAcl(java.lang.String hostname,
                                          UserSet acl)

      Remove `acl` attribute from the default `hostname` (@/).
      Specified by:
        `removeDefaultAcl` in interface `ClusterQueue`
      Parameters:
        `acl` - the acl) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultAcl

          public void removeAllDefaultAcl()

      Remove all acl) attributes from the default `hostname` (@/).
      Specified by:
        `removeAllDefaultAcl` in interface `ClusterQueue`

    - #### getXacl

          public UserSet getXacl(java.lang.String hostname,
                                 int index)

      Get the value of a hostname at an index.
      Specified by:
        `getXacl` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getXaclCount

          public int getXaclCount(java.lang.String hostname)

      Get the number of values for a hostname
      Specified by:
        `getXaclCount` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### addXacl

          public void addXacl(java.lang.String hostname,
                              UserSet acl)

      Add a acl attribute to a hostname.
      Specified by:
        `addXacl` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `acl` - the acl attribute

    - #### addEmptyXacl

          public void addEmptyXacl(java.lang.String hostname)

      Initialize `acl` attribute for a `hostname` with an empty list.
      Specified by:
        `addEmptyXacl` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### setXacl

          public void setXacl(java.lang.String hostname,
                              int index,
                              UserSet acl)

      Set a acl attribute for a hostname.
      Specified by:
        `setXacl` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - index of the acl attribute
        `acl` - the acl attribute

    - #### removeXaclAt

          public java.lang.Object removeXaclAt(java.lang.String hostname,
                                               int index)

      Remove a acl attribute for a hostname.
      Specified by:
        `removeXaclAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the acl attribute
      Returns:
        the remove acl attribute of `null` if the attribute has not been found

    - #### removeXacl

          public boolean removeXacl(java.lang.String hostname,
                                    UserSet acl)

      Remove a acl attribute for a hostname.
      Specified by:
        `removeXacl` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `acl` - the acl) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllXacl

          public void removeAllXacl()

      Remove all acl) attributes.
      Specified by:
        `removeAllXacl` in interface `ClusterQueue`

    - #### removeAllXacl

          public void removeAllXacl(java.lang.String hostname)

      Remove all acl) attributes for a hostname.
      Specified by:
        `removeAllXacl` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### getXaclKeys

          public java.util.Set<java.lang.String> getXaclKeys()

      Get a unmodifiable set of stored xacl attribute keys.
      Specified by:
        `getXaclKeys` in interface `ClusterQueue`
      Returns:
        unmodifiable set of stored xacl attribute keys

    - #### isSetXacl

          public boolean isSetXacl()

      Determine if the xacl is set
      Specified by:
        `isSetXacl` in interface `ClusterQueue`
      Returns:
        `true` if the xacl attribute is set

    - #### getXaclList

          public java.util.List getXaclList(java.lang.String hostname)

      Get a unmodifiable list of xacl attributes
      Specified by:
        `getXaclList` in interface `ClusterQueue`
      Parameters:
        `hostname` - the key
      Returns:
        unmodifiable list of xacl attributes

    - #### getDefaultXacl

          public UserSet getDefaultXacl(int index)

      Get the default value of the attribute xacl. (@/)

      Specified by:
        `getDefaultXacl` in interface `ClusterQueue`
      Returns:
        the default value of the attribute xacl
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultXaclCount

          public int getDefaultXaclCount()

      Get the number of values for the default `hostname` (@/).
      Specified by:
        `getDefaultXaclCount` in interface `ClusterQueue`

    - #### addDefaultXacl

          public void addDefaultXacl(UserSet acl)

      Add `acl` attribute to the default `hostname` (@/).
      Specified by:
        `addDefaultXacl` in interface `ClusterQueue`
      Parameters:
        `acl` - the acl attribute

    - #### setDefaultXacl

          public void setDefaultXacl(int index,
                                     UserSet acl)

      Set `acl` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultXacl` in interface `ClusterQueue`
      Parameters:
        `index` - index of the acl attribute
        `acl` - the acl attribute

    - #### removeDefaultXaclAt

          public java.lang.Object removeDefaultXaclAt(java.lang.String hostname,
                                                      int index)

      Remove `acl` attribute for the default `hostname` (@/).
      Specified by:
        `removeDefaultXaclAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the acl attribute
      Returns:
        the remove acl attribute of `null` if the attribute has not been found

    - #### removeDefaultXacl

          public boolean removeDefaultXacl(java.lang.String hostname,
                                           UserSet acl)

      Remove `acl` attribute from the default `hostname` (@/).
      Specified by:
        `removeDefaultXacl` in interface `ClusterQueue`
      Parameters:
        `acl` - the acl) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultXacl

          public void removeAllDefaultXacl()

      Remove all acl) attributes from the default `hostname` (@/).
      Specified by:
        `removeAllDefaultXacl` in interface `ClusterQueue`

    - #### getProjects

          public Project getProjects(java.lang.String hostname,
                                     int index)

      Get the value of a hostname at an index.
      Specified by:
        `getProjects` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getProjectsCount

          public int getProjectsCount(java.lang.String hostname)

      Get the number of values for a hostname
      Specified by:
        `getProjectsCount` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### addProjects

          public void addProjects(java.lang.String hostname,
                                  Project project)

      Add a project attribute to a hostname.
      Specified by:
        `addProjects` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `project` - the project attribute

    - #### addEmptyProjects

          public void addEmptyProjects(java.lang.String hostname)

      Initialize `project` attribute for a `hostname` with an empty list.
      Specified by:
        `addEmptyProjects` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### setProjects

          public void setProjects(java.lang.String hostname,
                                  int index,
                                  Project project)

      Set a project attribute for a hostname.
      Specified by:
        `setProjects` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - index of the project attribute
        `project` - the project attribute

    - #### removeProjectsAt

          public java.lang.Object removeProjectsAt(java.lang.String hostname,
                                                   int index)

      Remove a project attribute for a hostname.
      Specified by:
        `removeProjectsAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the project attribute
      Returns:
        the remove project attribute of `null` if the attribute has not been found

    - #### removeProjects

          public boolean removeProjects(java.lang.String hostname,
                                        Project project)

      Remove a project attribute for a hostname.
      Specified by:
        `removeProjects` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `project` - the project) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllProjects

          public void removeAllProjects()

      Remove all project) attributes.
      Specified by:
        `removeAllProjects` in interface `ClusterQueue`

    - #### removeAllProjects

          public void removeAllProjects(java.lang.String hostname)

      Remove all project) attributes for a hostname.
      Specified by:
        `removeAllProjects` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### getProjectsKeys

          public java.util.Set<java.lang.String> getProjectsKeys()

      Get a unmodifiable set of stored projects attribute keys.
      Specified by:
        `getProjectsKeys` in interface `ClusterQueue`
      Returns:
        unmodifiable set of stored projects attribute keys

    - #### isSetProjects

          public boolean isSetProjects()

      Determine if the projects is set
      Specified by:
        `isSetProjects` in interface `ClusterQueue`
      Returns:
        `true` if the projects attribute is set

    - #### getProjectsList

          public java.util.List getProjectsList(java.lang.String hostname)

      Get a unmodifiable list of projects attributes
      Specified by:
        `getProjectsList` in interface `ClusterQueue`
      Parameters:
        `hostname` - the key
      Returns:
        unmodifiable list of projects attributes

    - #### getDefaultProjects

          public Project getDefaultProjects(int index)

      Get the default value of the attribute projects. (@/)

      Specified by:
        `getDefaultProjects` in interface `ClusterQueue`
      Returns:
        the default value of the attribute projects
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultProjectsCount

          public int getDefaultProjectsCount()

      Get the number of values for the default `hostname` (@/).
      Specified by:
        `getDefaultProjectsCount` in interface `ClusterQueue`

    - #### addDefaultProjects

          public void addDefaultProjects(Project project)

      Add `project` attribute to the default `hostname` (@/).
      Specified by:
        `addDefaultProjects` in interface `ClusterQueue`
      Parameters:
        `project` - the project attribute

    - #### setDefaultProjects

          public void setDefaultProjects(int index,
                                         Project project)

      Set `project` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultProjects` in interface `ClusterQueue`
      Parameters:
        `index` - index of the project attribute
        `project` - the project attribute

    - #### removeDefaultProjectsAt

          public java.lang.Object removeDefaultProjectsAt(java.lang.String hostname,
                                                          int index)

      Remove `project` attribute for the default `hostname` (@/).
      Specified by:
        `removeDefaultProjectsAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the project attribute
      Returns:
        the remove project attribute of `null` if the attribute has not been found

    - #### removeDefaultProjects

          public boolean removeDefaultProjects(java.lang.String hostname,
                                               Project project)

      Remove `project` attribute from the default `hostname` (@/).
      Specified by:
        `removeDefaultProjects` in interface `ClusterQueue`
      Parameters:
        `project` - the project) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultProjects

          public void removeAllDefaultProjects()

      Remove all project) attributes from the default `hostname` (@/).
      Specified by:
        `removeAllDefaultProjects` in interface `ClusterQueue`

    - #### getXprojects

          public Project getXprojects(java.lang.String hostname,
                                      int index)

      Get the value of a hostname at an index.
      Specified by:
        `getXprojects` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getXprojectsCount

          public int getXprojectsCount(java.lang.String hostname)

      Get the number of values for a hostname
      Specified by:
        `getXprojectsCount` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### addXprojects

          public void addXprojects(java.lang.String hostname,
                                   Project project)

      Add a project attribute to a hostname.
      Specified by:
        `addXprojects` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `project` - the project attribute

    - #### addEmptyXprojects

          public void addEmptyXprojects(java.lang.String hostname)

      Initialize `project` attribute for a `hostname` with an empty list.
      Specified by:
        `addEmptyXprojects` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### setXprojects

          public void setXprojects(java.lang.String hostname,
                                   int index,
                                   Project project)

      Set a project attribute for a hostname.
      Specified by:
        `setXprojects` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - index of the project attribute
        `project` - the project attribute

    - #### removeXprojectsAt

          public java.lang.Object removeXprojectsAt(java.lang.String hostname,
                                                    int index)

      Remove a project attribute for a hostname.
      Specified by:
        `removeXprojectsAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the project attribute
      Returns:
        the remove project attribute of `null` if the attribute has not been found

    - #### removeXprojects

          public boolean removeXprojects(java.lang.String hostname,
                                         Project project)

      Remove a project attribute for a hostname.
      Specified by:
        `removeXprojects` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `project` - the project) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllXprojects

          public void removeAllXprojects()

      Remove all project) attributes.
      Specified by:
        `removeAllXprojects` in interface `ClusterQueue`

    - #### removeAllXprojects

          public void removeAllXprojects(java.lang.String hostname)

      Remove all project) attributes for a hostname.
      Specified by:
        `removeAllXprojects` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### getXprojectsKeys

          public java.util.Set<java.lang.String> getXprojectsKeys()

      Get a unmodifiable set of stored xprojects attribute keys.
      Specified by:
        `getXprojectsKeys` in interface `ClusterQueue`
      Returns:
        unmodifiable set of stored xprojects attribute keys

    - #### isSetXprojects

          public boolean isSetXprojects()

      Determine if the xprojects is set
      Specified by:
        `isSetXprojects` in interface `ClusterQueue`
      Returns:
        `true` if the xprojects attribute is set

    - #### getXprojectsList

          public java.util.List getXprojectsList(java.lang.String hostname)

      Get a unmodifiable list of xprojects attributes
      Specified by:
        `getXprojectsList` in interface `ClusterQueue`
      Parameters:
        `hostname` - the key
      Returns:
        unmodifiable list of xprojects attributes

    - #### getDefaultXprojects

          public Project getDefaultXprojects(int index)

      Get the default value of the attribute xprojects. (@/)

      Specified by:
        `getDefaultXprojects` in interface `ClusterQueue`
      Returns:
        the default value of the attribute xprojects
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultXprojectsCount

          public int getDefaultXprojectsCount()

      Get the number of values for the default `hostname` (@/).
      Specified by:
        `getDefaultXprojectsCount` in interface `ClusterQueue`

    - #### addDefaultXprojects

          public void addDefaultXprojects(Project project)

      Add `project` attribute to the default `hostname` (@/).
      Specified by:
        `addDefaultXprojects` in interface `ClusterQueue`
      Parameters:
        `project` - the project attribute

    - #### setDefaultXprojects

          public void setDefaultXprojects(int index,
                                          Project project)

      Set `project` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultXprojects` in interface `ClusterQueue`
      Parameters:
        `index` - index of the project attribute
        `project` - the project attribute

    - #### removeDefaultXprojectsAt

          public java.lang.Object removeDefaultXprojectsAt(java.lang.String hostname,
                                                           int index)

      Remove `project` attribute for the default `hostname` (@/).
      Specified by:
        `removeDefaultXprojectsAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the project attribute
      Returns:
        the remove project attribute of `null` if the attribute has not been found

    - #### removeDefaultXprojects

          public boolean removeDefaultXprojects(java.lang.String hostname,
                                                Project project)

      Remove `project` attribute from the default `hostname` (@/).
      Specified by:
        `removeDefaultXprojects` in interface `ClusterQueue`
      Parameters:
        `project` - the project) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultXprojects

          public void removeAllDefaultXprojects()

      Remove all project) attributes from the default `hostname` (@/).
      Specified by:
        `removeAllDefaultXprojects` in interface `ClusterQueue`

    - #### getLoadThresholds

          public ComplexEntry getLoadThresholds(java.lang.String hostname,
                                                int index)

      Get the value of a hostname at an index.
      Specified by:
        `getLoadThresholds` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getLoadThresholdsCount

          public int getLoadThresholdsCount(java.lang.String hostname)

      Get the number of values for a hostname
      Specified by:
        `getLoadThresholdsCount` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### addLoadThresholds

          public void addLoadThresholds(java.lang.String hostname,
                                        ComplexEntry loadThreshold)

      Add a loadThreshold attribute to a hostname.
      Specified by:
        `addLoadThresholds` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `loadThreshold` - the loadThreshold attribute

    - #### addEmptyLoadThresholds

          public void addEmptyLoadThresholds(java.lang.String hostname)

      Initialize `loadThreshold` attribute for a `hostname` with an empty list.
      Specified by:
        `addEmptyLoadThresholds` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### setLoadThresholds

          public void setLoadThresholds(java.lang.String hostname,
                                        int index,
                                        ComplexEntry loadThreshold)

      Set a loadThreshold attribute for a hostname.
      Specified by:
        `setLoadThresholds` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - index of the loadThreshold attribute
        `loadThreshold` - the loadThreshold attribute

    - #### removeLoadThresholdsAt

          public java.lang.Object removeLoadThresholdsAt(java.lang.String hostname,
                                                         int index)

      Remove a loadThreshold attribute for a hostname.
      Specified by:
        `removeLoadThresholdsAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the loadThreshold attribute
      Returns:
        the remove loadThreshold attribute of `null` if the attribute has not been found

    - #### removeLoadThresholds

          public boolean removeLoadThresholds(java.lang.String hostname,
                                              ComplexEntry loadThreshold)

      Remove a loadThreshold attribute for a hostname.
      Specified by:
        `removeLoadThresholds` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `loadThreshold` - the loadThreshold) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllLoadThresholds

          public void removeAllLoadThresholds()

      Remove all loadThreshold) attributes.
      Specified by:
        `removeAllLoadThresholds` in interface `ClusterQueue`

    - #### removeAllLoadThresholds

          public void removeAllLoadThresholds(java.lang.String hostname)

      Remove all loadThreshold) attributes for a hostname.
      Specified by:
        `removeAllLoadThresholds` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### getLoadThresholdsKeys

          public java.util.Set<java.lang.String> getLoadThresholdsKeys()

      Get a unmodifiable set of stored loadThresholds attribute keys.
      Specified by:
        `getLoadThresholdsKeys` in interface `ClusterQueue`
      Returns:
        unmodifiable set of stored loadThresholds attribute keys

    - #### isSetLoadThresholds

          public boolean isSetLoadThresholds()

      Determine if the loadThresholds is set
      Specified by:
        `isSetLoadThresholds` in interface `ClusterQueue`
      Returns:
        `true` if the loadThresholds attribute is set

    - #### getLoadThresholdsList

          public java.util.List getLoadThresholdsList(java.lang.String hostname)

      Get a unmodifiable list of loadThresholds attributes
      Specified by:
        `getLoadThresholdsList` in interface `ClusterQueue`
      Parameters:
        `hostname` - the key
      Returns:
        unmodifiable list of loadThresholds attributes

    - #### getDefaultLoadThresholds

          public ComplexEntry getDefaultLoadThresholds(int index)

      Get the default value of the attribute loadThresholds. (@/)

      Specified by:
        `getDefaultLoadThresholds` in interface `ClusterQueue`
      Returns:
        the default value of the attribute loadThresholds
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultLoadThresholdsCount

          public int getDefaultLoadThresholdsCount()

      Get the number of values for the default `hostname` (@/).
      Specified by:
        `getDefaultLoadThresholdsCount` in interface `ClusterQueue`

    - #### addDefaultLoadThresholds

          public void addDefaultLoadThresholds(ComplexEntry loadThreshold)

      Add `loadThreshold` attribute to the default `hostname` (@/).
      Specified by:
        `addDefaultLoadThresholds` in interface `ClusterQueue`
      Parameters:
        `loadThreshold` - the loadThreshold attribute

    - #### setDefaultLoadThresholds

          public void setDefaultLoadThresholds(int index,
                                               ComplexEntry loadThreshold)

      Set `loadThreshold` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultLoadThresholds` in interface `ClusterQueue`
      Parameters:
        `index` - index of the loadThreshold attribute
        `loadThreshold` - the loadThreshold attribute

    - #### removeDefaultLoadThresholdsAt

          public java.lang.Object removeDefaultLoadThresholdsAt(java.lang.String hostname,
                                                                int index)

      Remove `loadThreshold` attribute for the default `hostname` (@/).
      Specified by:
        `removeDefaultLoadThresholdsAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the loadThreshold attribute
      Returns:
        the remove loadThreshold attribute of `null` if the attribute has not been found

    - #### removeDefaultLoadThresholds

          public boolean removeDefaultLoadThresholds(java.lang.String hostname,
                                                     ComplexEntry loadThreshold)

      Remove `loadThreshold` attribute from the default `hostname` (@/).
      Specified by:
        `removeDefaultLoadThresholds` in interface `ClusterQueue`
      Parameters:
        `loadThreshold` - the loadThreshold) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultLoadThresholds

          public void removeAllDefaultLoadThresholds()

      Remove all loadThreshold) attributes from the default `hostname` (@/).
      Specified by:
        `removeAllDefaultLoadThresholds` in interface `ClusterQueue`

    - #### getSuspendThresholds

          public ComplexEntry getSuspendThresholds(java.lang.String hostname,
                                                   int index)

      Get the value of a hostname at an index.
      Specified by:
        `getSuspendThresholds` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getSuspendThresholdsCount

          public int getSuspendThresholdsCount(java.lang.String hostname)

      Get the number of values for a hostname
      Specified by:
        `getSuspendThresholdsCount` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### addSuspendThresholds

          public void addSuspendThresholds(java.lang.String hostname,
                                           ComplexEntry suspendThreshold)

      Add a suspendThreshold attribute to a hostname.
      Specified by:
        `addSuspendThresholds` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `suspendThreshold` - the suspendThreshold attribute

    - #### addEmptySuspendThresholds

          public void addEmptySuspendThresholds(java.lang.String hostname)

      Initialize `suspendThreshold` attribute for a `hostname` with an empty list.
      Specified by:
        `addEmptySuspendThresholds` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### setSuspendThresholds

          public void setSuspendThresholds(java.lang.String hostname,
                                           int index,
                                           ComplexEntry suspendThreshold)

      Set a suspendThreshold attribute for a hostname.
      Specified by:
        `setSuspendThresholds` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - index of the suspendThreshold attribute
        `suspendThreshold` - the suspendThreshold attribute

    - #### removeSuspendThresholdsAt

          public java.lang.Object removeSuspendThresholdsAt(java.lang.String hostname,
                                                            int index)

      Remove a suspendThreshold attribute for a hostname.
      Specified by:
        `removeSuspendThresholdsAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the suspendThreshold attribute
      Returns:
        the remove suspendThreshold attribute of `null` if the attribute has not been found

    - #### removeSuspendThresholds

          public boolean removeSuspendThresholds(java.lang.String hostname,
                                                 ComplexEntry suspendThreshold)

      Remove a suspendThreshold attribute for a hostname.
      Specified by:
        `removeSuspendThresholds` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `suspendThreshold` - the suspendThreshold) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllSuspendThresholds

          public void removeAllSuspendThresholds()

      Remove all suspendThreshold) attributes.
      Specified by:
        `removeAllSuspendThresholds` in interface `ClusterQueue`

    - #### removeAllSuspendThresholds

          public void removeAllSuspendThresholds(java.lang.String hostname)

      Remove all suspendThreshold) attributes for a hostname.
      Specified by:
        `removeAllSuspendThresholds` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### getSuspendThresholdsKeys

          public java.util.Set<java.lang.String> getSuspendThresholdsKeys()

      Get a unmodifiable set of stored suspendThresholds attribute keys.
      Specified by:
        `getSuspendThresholdsKeys` in interface `ClusterQueue`
      Returns:
        unmodifiable set of stored suspendThresholds attribute keys

    - #### isSetSuspendThresholds

          public boolean isSetSuspendThresholds()

      Determine if the suspendThresholds is set
      Specified by:
        `isSetSuspendThresholds` in interface `ClusterQueue`
      Returns:
        `true` if the suspendThresholds attribute is set

    - #### getSuspendThresholdsList

          public java.util.List getSuspendThresholdsList(java.lang.String hostname)

      Get a unmodifiable list of suspendThresholds attributes
      Specified by:
        `getSuspendThresholdsList` in interface `ClusterQueue`
      Parameters:
        `hostname` - the key
      Returns:
        unmodifiable list of suspendThresholds attributes

    - #### getDefaultSuspendThresholds

          public ComplexEntry getDefaultSuspendThresholds(int index)

      Get the default value of the attribute suspendThresholds. (@/)

      Specified by:
        `getDefaultSuspendThresholds` in interface `ClusterQueue`
      Returns:
        the default value of the attribute suspendThresholds
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultSuspendThresholdsCount

          public int getDefaultSuspendThresholdsCount()

      Get the number of values for the default `hostname` (@/).
      Specified by:
        `getDefaultSuspendThresholdsCount` in interface `ClusterQueue`

    - #### addDefaultSuspendThresholds

          public void addDefaultSuspendThresholds(ComplexEntry suspendThreshold)

      Add `suspendThreshold` attribute to the default `hostname` (@/).
      Specified by:
        `addDefaultSuspendThresholds` in interface `ClusterQueue`
      Parameters:
        `suspendThreshold` - the suspendThreshold attribute

    - #### setDefaultSuspendThresholds

          public void setDefaultSuspendThresholds(int index,
                                                  ComplexEntry suspendThreshold)

      Set `suspendThreshold` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultSuspendThresholds` in interface `ClusterQueue`
      Parameters:
        `index` - index of the suspendThreshold attribute
        `suspendThreshold` - the suspendThreshold attribute

    - #### removeDefaultSuspendThresholdsAt

          public java.lang.Object removeDefaultSuspendThresholdsAt(java.lang.String hostname,
                                                                   int index)

      Remove `suspendThreshold` attribute for the default `hostname` (@/).
      Specified by:
        `removeDefaultSuspendThresholdsAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the suspendThreshold attribute
      Returns:
        the remove suspendThreshold attribute of `null` if the attribute has not been found

    - #### removeDefaultSuspendThresholds

          public boolean removeDefaultSuspendThresholds(java.lang.String hostname,
                                                        ComplexEntry suspendThreshold)

      Remove `suspendThreshold` attribute from the default `hostname` (@/).
      Specified by:
        `removeDefaultSuspendThresholds` in interface `ClusterQueue`
      Parameters:
        `suspendThreshold` - the suspendThreshold) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultSuspendThresholds

          public void removeAllDefaultSuspendThresholds()

      Remove all suspendThreshold) attributes from the default `hostname` (@/).
      Specified by:
        `removeAllDefaultSuspendThresholds` in interface `ClusterQueue`

    - #### getConsumableConfig

          public ComplexEntry getConsumableConfig(java.lang.String hostname,
                                                  int index)

      Get the value of a hostname at an index.
      Specified by:
        `getConsumableConfig` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getConsumableConfigCount

          public int getConsumableConfigCount(java.lang.String hostname)

      Get the number of values for a hostname
      Specified by:
        `getConsumableConfigCount` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### addConsumableConfig

          public void addConsumableConfig(java.lang.String hostname,
                                          ComplexEntry consumable)

      Add a consumable attribute to a hostname.
      Specified by:
        `addConsumableConfig` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `consumable` - the consumable attribute

    - #### addEmptyConsumableConfig

          public void addEmptyConsumableConfig(java.lang.String hostname)

      Initialize `consumable` attribute for a `hostname` with an empty list.
      Specified by:
        `addEmptyConsumableConfig` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### setConsumableConfig

          public void setConsumableConfig(java.lang.String hostname,
                                          int index,
                                          ComplexEntry consumable)

      Set a consumable attribute for a hostname.
      Specified by:
        `setConsumableConfig` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - index of the consumable attribute
        `consumable` - the consumable attribute

    - #### removeConsumableConfigAt

          public java.lang.Object removeConsumableConfigAt(java.lang.String hostname,
                                                           int index)

      Remove a consumable attribute for a hostname.
      Specified by:
        `removeConsumableConfigAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the consumable attribute
      Returns:
        the remove consumable attribute of `null` if the attribute has not been found

    - #### removeConsumableConfig

          public boolean removeConsumableConfig(java.lang.String hostname,
                                                ComplexEntry consumable)

      Remove a consumable attribute for a hostname.
      Specified by:
        `removeConsumableConfig` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `consumable` - the consumable) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllConsumableConfig

          public void removeAllConsumableConfig()

      Remove all consumable) attributes.
      Specified by:
        `removeAllConsumableConfig` in interface `ClusterQueue`

    - #### removeAllConsumableConfig

          public void removeAllConsumableConfig(java.lang.String hostname)

      Remove all consumable) attributes for a hostname.
      Specified by:
        `removeAllConsumableConfig` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### getConsumableConfigKeys

          public java.util.Set<java.lang.String> getConsumableConfigKeys()

      Get a unmodifiable set of stored consumableConfig attribute keys.
      Specified by:
        `getConsumableConfigKeys` in interface `ClusterQueue`
      Returns:
        unmodifiable set of stored consumableConfig attribute keys

    - #### isSetConsumableConfig

          public boolean isSetConsumableConfig()

      Determine if the consumableConfig is set
      Specified by:
        `isSetConsumableConfig` in interface `ClusterQueue`
      Returns:
        `true` if the consumableConfig attribute is set

    - #### getConsumableConfigList

          public java.util.List getConsumableConfigList(java.lang.String hostname)

      Get a unmodifiable list of consumableConfig attributes
      Specified by:
        `getConsumableConfigList` in interface `ClusterQueue`
      Parameters:
        `hostname` - the key
      Returns:
        unmodifiable list of consumableConfig attributes

    - #### getDefaultConsumableConfig

          public ComplexEntry getDefaultConsumableConfig(int index)

      Get the default value of the attribute consumableConfig. (@/)

      Specified by:
        `getDefaultConsumableConfig` in interface `ClusterQueue`
      Returns:
        the default value of the attribute consumableConfig
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultConsumableConfigCount

          public int getDefaultConsumableConfigCount()

      Get the number of values for the default `hostname` (@/).
      Specified by:
        `getDefaultConsumableConfigCount` in interface `ClusterQueue`

    - #### addDefaultConsumableConfig

          public void addDefaultConsumableConfig(ComplexEntry consumable)

      Add `consumable` attribute to the default `hostname` (@/).
      Specified by:
        `addDefaultConsumableConfig` in interface `ClusterQueue`
      Parameters:
        `consumable` - the consumable attribute

    - #### setDefaultConsumableConfig

          public void setDefaultConsumableConfig(int index,
                                                 ComplexEntry consumable)

      Set `consumable` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultConsumableConfig` in interface `ClusterQueue`
      Parameters:
        `index` - index of the consumable attribute
        `consumable` - the consumable attribute

    - #### removeDefaultConsumableConfigAt

          public java.lang.Object removeDefaultConsumableConfigAt(java.lang.String hostname,
                                                                  int index)

      Remove `consumable` attribute for the default `hostname` (@/).
      Specified by:
        `removeDefaultConsumableConfigAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the consumable attribute
      Returns:
        the remove consumable attribute of `null` if the attribute has not been found

    - #### removeDefaultConsumableConfig

          public boolean removeDefaultConsumableConfig(java.lang.String hostname,
                                                       ComplexEntry consumable)

      Remove `consumable` attribute from the default `hostname` (@/).
      Specified by:
        `removeDefaultConsumableConfig` in interface `ClusterQueue`
      Parameters:
        `consumable` - the consumable) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultConsumableConfig

          public void removeAllDefaultConsumableConfig()

      Remove all consumable) attributes from the default `hostname` (@/).
      Specified by:
        `removeAllDefaultConsumableConfig` in interface `ClusterQueue`

    - #### getSubordinate

          public Subordinate getSubordinate(java.lang.String hostname,
                                            int index)

      Get the value of a hostname at an index.
      Specified by:
        `getSubordinate` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getSubordinateCount

          public int getSubordinateCount(java.lang.String hostname)

      Get the number of values for a hostname
      Specified by:
        `getSubordinateCount` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### addSubordinate

          public void addSubordinate(java.lang.String hostname,
                                     Subordinate subordinate)

      Add a subordinate attribute to a hostname.
      Specified by:
        `addSubordinate` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `subordinate` - the subordinate attribute

    - #### addEmptySubordinate

          public void addEmptySubordinate(java.lang.String hostname)

      Initialize `subordinate` attribute for a `hostname` with an empty list.
      Specified by:
        `addEmptySubordinate` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### setSubordinate

          public void setSubordinate(java.lang.String hostname,
                                     int index,
                                     Subordinate subordinate)

      Set a subordinate attribute for a hostname.
      Specified by:
        `setSubordinate` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - index of the subordinate attribute
        `subordinate` - the subordinate attribute

    - #### removeSubordinateAt

          public java.lang.Object removeSubordinateAt(java.lang.String hostname,
                                                      int index)

      Remove a subordinate attribute for a hostname.
      Specified by:
        `removeSubordinateAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the subordinate attribute
      Returns:
        the remove subordinate attribute of `null` if the attribute has not been found

    - #### removeSubordinate

          public boolean removeSubordinate(java.lang.String hostname,
                                           Subordinate subordinate)

      Remove a subordinate attribute for a hostname.
      Specified by:
        `removeSubordinate` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `subordinate` - the subordinate) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllSubordinate

          public void removeAllSubordinate()

      Remove all subordinate) attributes.
      Specified by:
        `removeAllSubordinate` in interface `ClusterQueue`

    - #### removeAllSubordinate

          public void removeAllSubordinate(java.lang.String hostname)

      Remove all subordinate) attributes for a hostname.
      Specified by:
        `removeAllSubordinate` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname

    - #### getSubordinateKeys

          public java.util.Set<java.lang.String> getSubordinateKeys()

      Get a unmodifiable set of stored subordinate attribute keys.
      Specified by:
        `getSubordinateKeys` in interface `ClusterQueue`
      Returns:
        unmodifiable set of stored subordinate attribute keys

    - #### isSetSubordinate

          public boolean isSetSubordinate()

      Determine if the subordinate is set
      Specified by:
        `isSetSubordinate` in interface `ClusterQueue`
      Returns:
        `true` if the subordinate attribute is set

    - #### getSubordinateList

          public java.util.List getSubordinateList(java.lang.String hostname)

      Get a unmodifiable list of subordinate attributes
      Specified by:
        `getSubordinateList` in interface `ClusterQueue`
      Parameters:
        `hostname` - the key
      Returns:
        unmodifiable list of subordinate attributes

    - #### getDefaultSubordinate

          public Subordinate getDefaultSubordinate(int index)

      Get the default value of the attribute subordinate. (@/)

      Specified by:
        `getDefaultSubordinate` in interface `ClusterQueue`
      Returns:
        the default value of the attribute subordinate
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultSubordinateCount

          public int getDefaultSubordinateCount()

      Get the number of values for the default `hostname` (@/).
      Specified by:
        `getDefaultSubordinateCount` in interface `ClusterQueue`

    - #### addDefaultSubordinate

          public void addDefaultSubordinate(Subordinate subordinate)

      Add `subordinate` attribute to the default `hostname` (@/).
      Specified by:
        `addDefaultSubordinate` in interface `ClusterQueue`
      Parameters:
        `subordinate` - the subordinate attribute

    - #### setDefaultSubordinate

          public void setDefaultSubordinate(int index,
                                            Subordinate subordinate)

      Set `subordinate` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultSubordinate` in interface `ClusterQueue`
      Parameters:
        `index` - index of the subordinate attribute
        `subordinate` - the subordinate attribute

    - #### removeDefaultSubordinateAt

          public java.lang.Object removeDefaultSubordinateAt(java.lang.String hostname,
                                                             int index)

      Remove `subordinate` attribute for the default `hostname` (@/).
      Specified by:
        `removeDefaultSubordinateAt` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `index` - the index of the subordinate attribute
      Returns:
        the remove subordinate attribute of `null` if the attribute has not been found

    - #### removeDefaultSubordinate

          public boolean removeDefaultSubordinate(java.lang.String hostname,
                                                  Subordinate subordinate)

      Remove `subordinate` attribute from the default `hostname` (@/).
      Specified by:
        `removeDefaultSubordinate` in interface `ClusterQueue`
      Parameters:
        `subordinate` - the subordinate) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultSubordinate

          public void removeAllDefaultSubordinate()

      Remove all subordinate) attributes from the default `hostname` (@/).
      Specified by:
        `removeAllDefaultSubordinate` in interface `ClusterQueue`

    - #### putQtype

          public void putQtype(java.lang.String hostname,
                               int qType)

      Put the attribute qtype for a hostname.

      Specified by:
        `putQtype` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
        `qType` - the qType

    - #### getDefaultQtype

          public int getDefaultQtype()

      Get the default value of the attribute qtype.

      Specified by:
        `getDefaultQtype` in interface `ClusterQueue`
      Returns:
        the default value of the attribute qtype
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getQtype

          public int getQtype(java.lang.String hostname)

      Get the qtype attribute for a hostname.

      Specified by:
        `getQtype` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        the qtype attribute for the host or the default value of qtype

    - #### setDefaultQtype

          public void setDefaultQtype(int qType)

      Set `qType` attribute for the default `hostname` (@/).
      Specified by:
        `setDefaultQtype` in interface `ClusterQueue`
      Parameters:
        `qType` - the qType attribute

    - #### removeQtype

          public java.lang.Integer removeQtype(java.lang.String hostname)

      remove the attribute qtype for a hostname.

      Specified by:
        `removeQtype` in interface `ClusterQueue`
      Parameters:
        `hostname` - tje hostname
      Returns:
        the qType for the hostname or `null` if the qType attribute was not defined for the hostname.

    - #### removeAllQtype

          public void removeAllQtype()

      Remove the attribute qtype for all hostnames.

      Specified by:
        `removeAllQtype` in interface `ClusterQueue`

    - #### getQtypeKeys

          public java.util.Set<java.lang.String> getQtypeKeys()

      Get the set of hostnames which have the attribute qtype set.
      Specified by:
        `getQtypeKeys` in interface `ClusterQueue`
      Returns:
        set of hostnames

    - #### getQtypeCount

          public int getQtypeCount()

      Get the number of hostnames which have the attribute qtype set.
      Specified by:
        `getQtypeCount` in interface `ClusterQueue`
      Returns:
        the number of hostnames which have the attribute qtype set.

    - #### isSetQtype

          public boolean isSetQtype()

      Determine if any qtype attribute is set
      Specified by:
        `isSetQtype` in interface `ClusterQueue`
      Returns:
        `true` if the qtype attribute is set

    - #### isSetQtype

          public boolean isSetQtype(java.lang.String hostname)

      Determine if any qtype attribute is for a hostname is set
      Specified by:
        `isSetQtype` in interface `ClusterQueue`
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the qtype attribute is set

    - #### isSetTag

          public boolean isSetTag()

      Determine if the tag attribute is set
      Specified by:
        `isSetTag` in interface `ClusterQueue`
      Returns:
        `true` if the tag attribute is set

    - #### setTag

          public void setTag(int aTag)

      Set the tag attribute.
      Specified by:
        `setTag` in interface `ClusterQueue`
      Parameters:
        `aTag` - the new value for the tag attribute

    - #### getTag

          public int getTag()

      Get the value of the tag attribute.
      Specified by:
        `getTag` in interface `ClusterQueue`
      Returns:
        the value of the tag attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `ClusterQueue`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.